<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @author Sebastian Böttger
 */
class Tx_ExtBibsonomyCsl_Domain_Repository_CitationStylesheetRepository extends Tx_Extbase_Persistence_Repository {

    /**
     * Fetches citation stylesheet from database by using given stylesheet ID, independent
	 * from page ID (pid).
	 * 
     * @param integer $citationStylesheetId
     * @return Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet 
     */
    public function findById($citationStylesheetId) {
        
        $query = $this->createQuery();
        $GLOBALS['TYPO3_DB']->debugOutput = true;
        $result = $query->matching($query->equals("id", $citationStylesheetId))->execute();
        
        if( ($style = $result->getFirst()) == null) {
            $result = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
                'id,title,xml_source', //col selection
                'tx_extbibsonomycsl_domain_model_citationstylesheet', //table
                "`id`='$citationStylesheetId'", //where clause
                '',                 //order
                'title',            //sort
                '');               //limit
            
            $i = 0; 
            $st = array();
            
            while($row = mysql_fetch_array($result)){
                $st[$i++] = array($row['id'], $row['title'], $row['xml_source']);
            }
            
            $style = $this->objectManager->create('Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet');
            $style->setId($st[0][0]);
            $style->setTitle($st[0][1]);
            $style->setXmlSource($st[0][2]);
        }
        return $style;
    }
    
	/**
	 *
	 * @global array $GLOBALS
	 * @param Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet $style 
	 */
	public function add($style) {
		
		global $GLOBALS;
		
		$uid = $GLOBALS["BE_USER"]->user["uid"];
		
		/*
		$query = $this->createQuery();
		$qry = "INSERT " . 
			"INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` " .
			"(`pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`) ".
			"VALUES('".$style->getPid()."', 
				'".$style->getId()."', 
				'".$style->getTitle()."',
				'".$style->getXmlSource()."',
				now(),
				now(),
				$uid)";
		
		
		$res = $query->statement($qry)->execute();
		*/
		//$query->statement($qry)->execute() doesn't work :(
		//so I'm using the old method to execute an insert statement...
		
		$record = array (
			'pid' => $style->getPid(),
			'id' => $style->getId(),
			'title' => $style->getTitle(),
			'xml_source' => $style->getXmlSource(),
			'tstamp' => mktime(),
			'crdate' => mktime(),
			'cruser_id' => $uid,
		);
		
		$res = $GLOBALS['TYPO3_DB']->exec_INSERTquery ('tx_extbibsonomycsl_domain_model_citationstylesheet', $record);
	}
}
?>