<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Sebastian Boettger <boettger@cs.uni-kassel.de>, Knowledge and Data Engineering Group (University of Kassel)
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet.
 *
 * @version $Id: CitationStylesheetTest.php,v 1.2 2012-12-13 16:04:54 sbo Exp $
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Bibsonomy CSL
 *
 * @author Sebastian Boettger <boettger@cs.uni-kassel.de>
 */
class Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheetTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_ExtBibsonomyCsl_Domain_Model_CitationStylesheet();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getIdReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setIdForStringSetsId() { 
		$this->fixture->setId('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getId()
		);
	}
	
	/**
	 * @test
	 */
	public function getTitleReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setTitleForStringSetsTitle() { 
		$this->fixture->setTitle('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getTitle()
		);
	}
	
	/**
	 * @test
	 */
	public function getXmlSourceReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setXmlSourceForStringSetsXmlSource() { 
		$this->fixture->setXmlSource('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getXmlSource()
		);
	}
	
}
?>