<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Sebastian Boettger <boettger@cs.uni-kassel.de>, Knowledge and Data Engineering Group (University of Kassel)
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_ExtBibsonomyCsl_Domain_Model_Tag.
 *
 * @version $Id: TagTest.php,v 1.1 2012-12-13 16:04:54 sbo Exp $
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Bibsonomy CSL
 *
 * @author Sebastian Boettger <boettger@cs.uni-kassel.de>
 */
class Tx_ExtBibsonomyCsl_Domain_Model_TagTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_ExtBibsonomyCsl_Domain_Model_Tag
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_ExtBibsonomyCsl_Domain_Model_Tag();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getHrefReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setHrefForStringSetsHref() { 
		$this->fixture->setHref('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getHref()
		);
	}
	
	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setNameForStringSetsName() { 
		$this->fixture->setName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getName()
		);
	}
	
	/**
	 * @test
	 */
	public function getUsercountReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getUsercount()
		);
	}

	/**
	 * @test
	 */
	public function setUsercountForIntegerSetsUsercount() { 
		$this->fixture->setUsercount(12);

		$this->assertSame(
			12,
			$this->fixture->getUsercount()
		);
	}
	
	/**
	 * @test
	 */
	public function getGlobalcountReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getGlobalcount()
		);
	}

	/**
	 * @test
	 */
	public function setGlobalcountForIntegerSetsGlobalcount() { 
		$this->fixture->setGlobalcount(12);

		$this->assertSame(
			12,
			$this->fixture->getGlobalcount()
		);
	}
	
}
?>