DROP TABLE IF EXISTS tx_extbibsonomycsl_domain_model_citationstylesheet;

CREATE TABLE tx_extbibsonomycsl_domain_model_citationstylesheet (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	id varchar(255) DEFAULT '' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	xml_source text NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,

	t3_origuid int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)

);

INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(1, 0, 'http://www.bibsonomy.org/styles/everyAware.csl', 'EveryAware – Enhance Environmental Awareness through Social Information Technologies', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-US">\r\n  <info>\r\n    <title>EveryAware – Enhance Environmental Awareness through Social Information Technologies</title>\r\n    <id>http://www.bibsonomy.org/styles/everyAware.csl</id>\r\n    <link href="http://www.bibsonomy.org/styles/everyAware.csl" rel="self"/>\r\n    <author>\r\n      <name>Sebastian Böttger</name>\r\n      <email>boettger@cs.uni-kassel.de</email>\r\n    </author>\r\n    <author>\r\n      <name>Andreas Hotho</name>\r\n      <email>hotho@cs.uni-kassel.de</email>\r\n    </author>\r\n    <category citation-format="author-date"/>\r\n    <issn>1047-7047</issn>\r\n    <issn>1526-5536</issn>\r\n    <updated>2012-11-15T14:10:20+00:00</updated>\r\n    <rights license="http://creativecommons.org/licenses/by-sa/3.0/">This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License</rights>\r\n  </info>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <names variable="editor translator" delimiter=", " suffix=", ">\r\n          <name initialize-with=". "/>\r\n          <label form="short" prefix=" (" suffix=".)" strip-periods="true"/>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference thesis" match="none">\r\n        <names variable="editor translator" delimiter=", " prefix=" (" suffix=")"  >\r\n          <name initialize-with=". " sort-separator=", " delimiter=", " delimiter-precedes-last="always" />\r\n          <label form="short" prefix=", " suffix="." strip-periods="true"/>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n    <choose>\r\n      <if type="thesis" match="any">\r\n        <group delimiter=", " suffix=".">\r\n          <text value="PhD thesis"/>\r\n          <text variable="publisher" form="long"/>\r\n          <text variable="publisher-place" form="long"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" sort-separator=", " delimiter="; " delimiter-precedes-last="always">\r\n	  <name-part name="family" suffix=", "/>\r\n	  <name-part name="given" />      \r\n      </name>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" delimiter=", " initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" form="short" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" form="short" />\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if type="thesis">\r\n        <choose>\r\n          <if variable="archive" match="any">\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="archive" suffix="."/>\r\n              <text variable="archive_location" prefix=" (" suffix=")"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="URL"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if variable="DOI">\r\n            <text variable="DOI" prefix="doi:"/>\r\n          </if>\r\n          <else>\r\n            <choose>\r\n              <if type="webpage">\r\n                <group>\r\n                  <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n                  <date variable="accessed" suffix=", ">\r\n                    <date-part name="month" suffix=" "/>\r\n                    <date-part name="day" suffix=", "/>\r\n                    <date-part name="year"/>\r\n                  </date>\r\n                  <group>\r\n                    <text term="from" suffix=" "/>\r\n                    <text variable="URL"/>\r\n                  </group>\r\n                </group>\r\n              </if>\r\n              <else>\r\n                <group>\r\n                  <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n                  <text term="from" suffix=" "/>\r\n                  <text variable="URL"/>\r\n                </group>\r\n              </else>\r\n            </choose>\r\n          </else>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n        <group prefix=". Technical Report (" suffix="), ">\r\n          <text variable="genre"/>\r\n          <text variable="number" form="long"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation manuscript motion_picture report song speech" match="any">\r\n        <text variable="title" font-style="italic" suffix=", "/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" form="long" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <group delimiter=", " suffix=".">\r\n          <text variable="publisher" form="long"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if variable="event" match="none">\r\n            <text variable="genre" suffix=", "/>\r\n          </if>\r\n        </choose>\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <choose>\r\n      <if variable="event">\r\n        <choose>\r\n          <if variable="genre" match="none">\r\n            <text variable="event" form="long" suffix=". "/>\r\n          </if>\r\n          <else>\r\n            <group delimiter=" " suffix=". ">\r\n              <text variable="genre" text-case="capitalize-first"/>\r\n              <text variable="event"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if variable="issued">\r\n        <group prefix=" (" suffix=").">\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <choose>\r\n            <if type="article-journal bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="none">\r\n              <date variable="issued">\r\n                <date-part prefix=", " name="month"/>\r\n                <date-part prefix=" " name="day"/>\r\n              </date>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text prefix=" (" term="no date" suffix=")." form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued-year">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" plural="false" strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix=", "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <group delimiter="" prefix=" ">\r\n          <text variable="volume" form="long" font-weight="bold"/>\r\n          <text variable="issue" form="long" prefix="(" suffix=")"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <group prefix=" (" suffix=")" delimiter=", ">\r\n          <text macro="edition"/>\r\n          <group>\r\n            <text term="volume" form="short" plural="true" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n            <number variable="number-of-volumes" form="numeric" prefix="1-"/>\r\n          </group>\r\n          <group>\r\n            <text term="volume" form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n            <number variable="volume" form="numeric"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="citation-locator">\r\n    <group>\r\n      <label variable="locator" form="short"/>\r\n      <text variable="locator" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <macro name="page">\r\n    <choose>\r\n      <if match="any" variable="page">\r\n        <label variable="page" form="short" prefix=", " suffix=" "/>\r\n        <text variable="page" form="long"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="3" et-al-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" givenname-disambiguation-rule="by-cite" collapse="year">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year"/>\r\n      <key variable="page"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter="">\r\n        <text macro="author-short"/>\r\n        <text macro="issued-year" prefix=" "/>\r\n        <text macro="citation-locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography entry-spacing="1" line-spacing="1" hanging-indent="false">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year" sort="ascending"/>\r\n    </sort>\r\n    <layout>\r\n      <group>\r\n        <group delimiter=" ">\r\n          <text macro="title"/>\r\n          <text macro="author" suffix=" "/>\r\n          <group delimiter=", ">\r\n            <group prefix="in ">\r\n              <text variable="container-title" font-style="italic"/>\r\n              <text variable="collection-title" prefix=" " />\r\n            </group>\r\n            <text macro="container-contributors"/>\r\n            <text macro="secondary-contributors"/>\r\n          </group>\r\n        </group>\r\n        <text macro="issued" suffix=" "/>\r\n        <text macro="locators" suffix=" "/>\r\n        <group delimiter=", ">\r\n          <text macro="event"/>\r\n        </group>\r\n        <text variable="page" form="long" prefix=" " suffix=". "/>\r\n        <choose>\r\n          <if type="book" match="any">\r\n            <group delimiter=", " suffix=".">\r\n              <text variable="publisher" form="long"/>\r\n              <text variable="publisher-place" form="long"/>\r\n            </group>\r\n          </if>\r\n        </choose>\r\n      </group>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(2, 0, 'http://www.zotero.org/styles/harvard-limerick', 'Harvard - University of Limerick (Cite it Right)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-GB">\r\n  <info>\r\n    <title>Harvard - University of Limerick (Cite it Right) </title>\r\n    <id>http://www.zotero.org/styles/harvard-limerick</id>\r\n    <link href="http://www.zotero.org/styles/harvard-limerick" rel="self"/>\r\n    <link href="http://www3.ul.ie/~library/pdf/citeitright.pdf" rel="documentation"/>\r\n    <link href="http://www.zotero.org/styles/elsevier-harvard" rel="template"/>\r\n    <author>\r\n      <name>Sebastian Karcher</name>\r\n    </author>\r\n    <category field="generic-base"/>\r\n    <category citation-format="author-date"/>\r\n    <updated>2009-12-01T20:22:16+00:00</updated>\r\n    <summary>Style based on the University of Limerick''s Cite it Right guide, 2nd edition. Currently covers the most typical item types (books, chapters, webpages, articles in journals, magazines, newspapers (online and print), theses and reports. Doesn''t cover legal citations and artworks. </summary>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="en-GB">\r\n    <terms>\r\n      <term name="et-al">et al</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="container">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="lowercase" suffix=" "/>\r\n        <group delimiter=", ">\r\n          <names variable="editor translator" delimiter=", ">\r\n            <name name-as-sort-order="all" sort-separator=", " and="text" initialize-with="." delimiter=", " delimiter-precedes-last="never"/>\r\n            <label form="short" prefix=", "/>\r\n          </names>\r\n          <group delimiter=", ">\r\n            <text variable="container-title" text-case="title" font-style="italic"/>\r\n            <text variable="collection-title" text-case="title"/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <group delimiter=", ">\r\n          <text variable="container-title"/>\r\n          <text variable="collection-title"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <group delimiter=", ">\r\n          <text variable="container-title" font-style="italic"/>\r\n          <text variable="collection-title"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with="." delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=" (" suffix=")" text-case="capitalize-first"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", " initialize-with=". " delimiter-precedes-last="never"/>\r\n      <et-al font-style="italic"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" quotes="true"/>\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <group delimiter=" ">\r\n          <text variable="URL" prefix="available: "/>\r\n          <group prefix="[" suffix="]" delimiter=" ">\r\n            <text term="accessed"/>\r\n            <date variable="accessed" delimiter=" ">\r\n              <date-part name="day"/>\r\n              <date-part name="month" form="short" strip-periods="true"/>\r\n              <date-part name="year"/>\r\n            </date>\r\n          </group>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <group delimiter=", ">\r\n          <text variable="title" text-case="title" font-style="italic"/>\r\n          <group delimiter=" ">\r\n            <text variable="genre"/>\r\n            <text variable="number"/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song speech" match="any">\r\n        <text variable="title" font-style="italic" text-case="title"/>\r\n        <choose>\r\n          <if variable="URL">\r\n            <text term="online" prefix=" [" suffix="]"/>\r\n          </if>\r\n        </choose>\r\n        <text macro="edition" prefix=", "/>\r\n      </else-if>\r\n      <else-if type="webpage">\r\n        <text variable="title" text-case="title"/>\r\n        <text term="online" prefix=" [" suffix="]"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <group delimiter=", ">\r\n          <text variable="publisher"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <group delimiter=": ">\r\n          <text variable="publisher"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <choose>\r\n      <if variable="event">\r\n        <text term="presented at" text-case="capitalize-first" suffix=" "/>\r\n        <text variable="event"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else-if variable="accessed">\r\n        <choose>\r\n          <if type="webpage">\r\n            <date variable="accessed">\r\n              <date-part name="year"/>\r\n            </date>\r\n          </if>\r\n          <else>\r\n            <text term="no date" form="short"/>\r\n          </else>\r\n        </choose>\r\n      </else-if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <group delimiter=" ">\r\n      <choose>\r\n        <if is-numeric="edition">\r\n          <number variable="edition" form="ordinal"/>\r\n        </if>\r\n        <else>\r\n          <text variable="edition" suffix="."/>\r\n        </else>\r\n      </choose>\r\n      <text value="ed"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <group delimiter=", ">\r\n          <group>\r\n            <text variable="volume"/>\r\n            <text variable="issue" prefix="(" suffix=")"/>\r\n          </group>\r\n          <choose>\r\n            <if type="article-magazine article-newspaper" match="any">\r\n              <date variable="issued" delimiter=" ">\r\n                <date-part name="day"/>\r\n                <date-part name="month" form="short" strip-periods="true"/>\r\n              </date>\r\n            </if>\r\n          </choose>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <group delimiter=", ">\r\n          <text macro="event"/>\r\n          <text macro="publisher"/>\r\n        </group>\r\n      </else-if>\r\n      <else-if type="chapter paper-conference" match="any">\r\n        <group delimiter=", ">\r\n          <text macro="event"/>\r\n          <text macro="publisher"/>\r\n          <group>\r\n            <text variable="page"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="3" et-al-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" collapse="year">\r\n    <sort>\r\n      <key macro="issued"/>\r\n      <key macro="author"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <group delimiter=" ">\r\n          <text macro="author-short"/>\r\n          <text macro="issued"/>\r\n        </group>\r\n        <group>\r\n          <label variable="locator" form="short"/>\r\n          <text variable="locator"/>\r\n        </group>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" entry-spacing="0" line-spacing="1">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued" sort="ascending"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <group delimiter=" ">\r\n        <text macro="author"/>\r\n        <text macro="issued" prefix="(" suffix=")"/>\r\n      </group>\r\n      <group delimiter=", " prefix=" ">\r\n        <text macro="title"/>\r\n        <text macro="container"/>\r\n        <text macro="locators"/>\r\n        <text macro="access"/>\r\n      </group>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(3, 0, 'http://www.zotero.org/styles/lncs', 'Springer LNCS', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Springer LNCS</title>\r\n    <id>http://www.zotero.org/styles/lncs</id>\r\n    <link href="http://www.zotero.org/styles/lncs" rel="self"/>\r\n    <author>\r\n      <name>Ammar Memari</name>\r\n      <email>memari@wi-ol.de</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Mikko Ronkko</name>\r\n    </contributor>\r\n    <category field="engineering"/>\r\n    <category field="generic-base"/>\r\n    <category citation-format="numeric"/>\r\n    <updated>2009-01-29T11:26:35+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="author">\r\n    <group suffix="">\r\n      <names variable="author">\r\n        <name name-as-sort-order="all" sort-separator=", " initialize-with="." delimiter=", " delimiter-precedes-last="always"/>\r\n        <label form="short" prefix=" " suffix="" text-case="lowercase" strip-periods="true"/>\r\n        <substitute>\r\n          <names variable="editor"/>\r\n        </substitute>\r\n      </names>\r\n    </group>\r\n  </macro>\r\n  <macro name="editor">\r\n    <names variable="editor">\r\n      <name initialize-with="." delimiter=", " and="text" name-as-sort-order="all" sort-separator=", "/>\r\n      <label form="short" prefix=" (" text-case="lowercase" suffix=".)" strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <text variable="publisher"/>\r\n    <text variable="publisher-place" prefix=", "/>\r\n  </macro>\r\n  <macro name="access">\r\n    <text variable="URL"/>\r\n  </macro>\r\n  <macro name="page">\r\n    <group>\r\n      <label variable="page" form="short" suffix=". " strip-periods="true"/>\r\n      <text variable="page"/>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="3" et-al-use-first="1" collapse="citation-number">\r\n    <sort>\r\n      <key variable="citation-number"/>\r\n    </sort>\r\n    <layout prefix="[" suffix="]" delimiter=", ">\r\n      <text variable="citation-number"/>\r\n    </layout>\r\n  </citation>\r\n  <bibliography entry-spacing="0" second-field-align="flush">\r\n    <layout suffix=".">\r\n      <text variable="citation-number" suffix="."/>\r\n      <text macro="author" prefix=" " suffix=": "/>\r\n      <choose>\r\n        <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n          <group delimiter=" ">\r\n            <text macro="title" suffix="."/>\r\n            <text macro="publisher"/>\r\n            <date variable="issued">\r\n              <date-part name="year" prefix="(" suffix=")"/>\r\n            </date>\r\n          </group>\r\n        </if>\r\n        <else-if type="article-journal">\r\n          <group delimiter=" ">\r\n            <text macro="title" suffix="."/>\r\n            <text variable="container-title" form="short" suffix="."/>\r\n            <text variable="volume" suffix=","/>\r\n            <text variable="page"/>\r\n            <date variable="issued">\r\n              <date-part name="year" prefix="(" suffix=")"/>\r\n            </date>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <group delimiter=" ">\r\n            <text macro="title" suffix="."/>\r\n            <choose>\r\n              <if variable="container-title">\r\n                <text macro="editor" prefix="In: " suffix=" "/>\r\n                <group delimiter=". ">\r\n                  <text variable="container-title"/>\r\n                  <text macro="page"/>\r\n                  <text macro="publisher"/>\r\n                </group>\r\n              </if>\r\n              <else>\r\n                <text term="presented at" text-case="capitalize-first" suffix=" "/>\r\n                <text variable="event"/>\r\n                <text variable="event-place" prefix=", "/>\r\n                <date variable="issued" prefix=" ">\r\n                  <date-part name="month" suffix=" "/>\r\n                  <date-part name="day" suffix=" "/>\r\n                </date>\r\n              </else>\r\n            </choose>\r\n            <date variable="issued">\r\n              <date-part name="year" prefix="(" suffix=")"/>\r\n            </date>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="webpage">\r\n          <group delimiter=", ">\r\n            <text macro="title"/>\r\n            <text variable="URL"/>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="speech">\r\n          <group delimiter=" ">\r\n            <text macro="title" suffix="."/>\r\n            <text variable="event" suffix="."/>\r\n            <text variable="event-place" prefix=", "/>\r\n            <date variable="issued">\r\n              <date-part name="year" prefix="(" suffix=")"/>\r\n            </date>\r\n          </group>\r\n        </else-if>\r\n        <else>\r\n          <group delimiter=", ">\r\n            <text macro="title"/>\r\n            <text variable="URL"/>\r\n            <date variable="issued">\r\n              <date-part name="year" prefix="(" suffix=")"/>\r\n            </date>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(4, 0, 'http://www.zotero.org/styles/chicago-library-list', 'Chicago Manual of Style (library list)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="note" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Chicago Manual of Style (library list)</title>\r\n    <id>http://www.zotero.org/styles/chicago-library-list</id>\r\n    <link href="http://www.zotero.org/styles/chicago-library-list" rel="self"/>\r\n    <link href="http://www.chicagomanualofstyle.org/tools_citationguide.html" rel="documentation"/>\r\n    <author>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Simon Kornblith</name>\r\n      <email>simon@simonster.com</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Elena Razlogova</name>\r\n      <email>elena.razlogova@gmail.com</email>\r\n    </contributor>\r\n    <summary>Chicago format for creating library lists, where bibliography includes call numbers</summary>\r\n    <category field="generic-base"/>\r\n    <category citation-format="numeric"/>\r\n    <updated>2012-01-01T00:00:00+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="none">\r\n        <group delimiter=". ">\r\n          <choose>\r\n            <if variable="author">\r\n              <names variable="editor" delimiter=". ">\r\n                <label form="verb" text-case="capitalize-first" suffix=" "/>\r\n                <name and="text" delimiter=", "/>\r\n              </names>\r\n            </if>\r\n          </choose>\r\n          <choose>\r\n            <if variable="author editor" match="any">\r\n              <names variable="translator" delimiter=". ">\r\n                <label form="verb" text-case="capitalize-first" suffix=" "/>\r\n                <name and="text" delimiter=", "/>\r\n              </names>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <group delimiter=", ">\r\n          <choose>\r\n            <if variable="author">\r\n              <names variable="editor" delimiter=", ">\r\n                <label form="verb" text-case="lowercase" suffix=" "/>\r\n                <name and="text" delimiter=", "/>\r\n              </names>\r\n              <choose>\r\n                <if variable="container-author">\r\n                  <group>\r\n                    <names variable="container-author">\r\n                      <label form="verb-short" prefix=" " text-case="lowercase" suffix=" " strip-periods="true"/>\r\n                      <name and="text" delimiter=", "/>\r\n                    </names>\r\n                  </group>\r\n                </if>\r\n              </choose>\r\n            </if>\r\n          </choose>\r\n          <choose>\r\n            <if variable="author editor" match="any">\r\n              <names variable="translator" delimiter=", ">\r\n                <label form="verb" text-case="lowercase" suffix=" "/>\r\n                <name and="text" delimiter=", "/>\r\n              </names>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="editor">\r\n    <names variable="editor">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="translator">\r\n    <names variable="translator">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="verb-short" prefix=", " suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient-note">\r\n    <names variable="recipient" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient">\r\n    <choose>\r\n      <if type="personal_communication">\r\n        <choose>\r\n          <if variable="genre">\r\n            <text variable="genre" text-case="capitalize-first"/>\r\n          </if>\r\n          <else>\r\n            <text term="letter" text-case="capitalize-first"/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n    <text macro="recipient-note" prefix=" "/>\r\n  </macro>\r\n  <macro name="contributors">\r\n    <names variable="author">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <substitute>\r\n        <text macro="editor"/>\r\n        <text macro="translator"/>\r\n      </substitute>\r\n    </names>\r\n    <text macro="recipient" prefix=". "/>\r\n  </macro>\r\n  <macro name="recipient-short">\r\n    <names variable="recipient">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name form="short" and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="contributors-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n      </substitute>\r\n    </names>\r\n    <text macro="recipient-short"/>\r\n  </macro>\r\n  <macro name="contributors-sort">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="interviewer">\r\n    <names variable="interviewer" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="capitalize-first" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if variable="title" match="none">\r\n        <choose>\r\n          <if type="personal_communication" match="none">\r\n            <text variable="genre" text-case="capitalize-first"/>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" text-case="title" font-style="italic"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" text-case="title" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-short">\r\n    <choose>\r\n      <if variable="title" match="none">\r\n        <choose>\r\n          <if type="interview">\r\n            <text term="interview" text-case="lowercase"/>\r\n          </if>\r\n          <else-if type="manuscript speech" match="any">\r\n            <text variable="genre" form="short"/>\r\n          </else-if>\r\n          <else-if type="personal_communication">\r\n            <text macro="issued"/>\r\n          </else-if>\r\n        </choose>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" text-case="title" form="short" font-style="italic"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" text-case="title" form="short" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="description">\r\n    <group delimiter=", ">\r\n      <group delimiter=". ">\r\n        <text macro="interviewer"/>\r\n        <text variable="medium" text-case="capitalize-first"/>\r\n      </group>\r\n      <choose>\r\n        <if variable="title" match="none"/>\r\n        <else-if type="thesis speech" match="any"/>\r\n        <else>\r\n          <text variable="genre" text-case="capitalize-first"/>\r\n        </else>\r\n      </choose>\r\n    </group>\r\n  </macro>\r\n  <macro name="container-title">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="capitalize-first" suffix=" "/>\r\n      </if>\r\n    </choose>\r\n    <choose>\r\n      <if type="legal_case" match="none">\r\n        <text variable="container-title" text-case="title" font-style="italic"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="edition">\r\n            <group delimiter=" ">\r\n              <number variable="edition" form="ordinal"/>\r\n              <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text variable="edition" text-case="capitalize-first" suffix="."/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="collection-title">\r\n    <text variable="collection-title" text-case="title"/>\r\n    <text variable="collection-number" prefix=" "/>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="volume" prefix=" "/>\r\n        <group prefix=", ">\r\n          <text term="issue" form="short" suffix=". " strip-periods="true"/>\r\n          <number variable="issue"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="legal_case">\r\n        <text variable="volume" prefix=", "/>\r\n        <text variable="container-title" prefix=" "/>\r\n        <text variable="page" prefix=" "/>\r\n      </else-if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <group prefix=". " delimiter=". ">\r\n          <group>\r\n            <text term="volume" form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n            <number variable="volume" form="numeric"/>\r\n          </group>\r\n          <group>\r\n            <number variable="number-of-volumes" form="numeric"/>\r\n            <text term="volume" form="short" prefix=" " suffix="." plural="true" strip-periods="true"/>\r\n          </group>\r\n          <text macro="edition"/>\r\n        </group>\r\n      </else-if>\r\n      <else-if type="chapter paper-conference" match="any">\r\n        <group prefix=". " delimiter=". ">\r\n          <choose>\r\n            <if variable="page" match="none">\r\n              <group>\r\n                <text term="volume" form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n                <number variable="volume" form="numeric"/>\r\n              </group>\r\n            </if>\r\n          </choose>\r\n          <text macro="edition"/>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-newspaper">\r\n    <choose>\r\n      <if type="article-newspaper">\r\n        <group delimiter=", ">\r\n          <group>\r\n            <text variable="edition" suffix=" "/>\r\n            <text term="edition" prefix=" "/>\r\n          </group>\r\n          <group>\r\n            <text term="section" form="short" suffix=". " strip-periods="true"/>\r\n            <text variable="section"/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <group>\r\n      <text term="presented at" suffix=" "/>\r\n      <text variable="event"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if variable="issued">\r\n        <choose>\r\n          <if type="graphic report" match="any">\r\n            <date variable="issued">\r\n              <date-part name="month" suffix=" "/>\r\n              <date-part name="day" suffix=", "/>\r\n              <date-part name="year"/>\r\n            </date>\r\n          </if>\r\n          <else-if type="legal_case">\r\n            <text variable="authority" suffix=" "/>\r\n            <date variable="issued">\r\n              <date-part name="year"/>\r\n            </date>\r\n          </else-if>\r\n          <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="any">\r\n            <date variable="issued">\r\n              <date-part name="year"/>\r\n            </date>\r\n          </else-if>\r\n          <else>\r\n            <date variable="issued">\r\n              <date-part name="month" suffix=" "/>\r\n              <date-part name="day" suffix=", "/>\r\n              <date-part name="year"/>\r\n            </date>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-chapter">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <choose>\r\n          <if variable="page">\r\n            <text variable="volume" suffix=":"/>\r\n            <text variable="page"/>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-journal">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="page" prefix=": "/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="point-locators-subsequent">\r\n    <choose>\r\n      <if variable="locator">\r\n        <choose>\r\n          <if locator="page" match="none">\r\n            <choose>\r\n              <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n                <choose>\r\n                  <if variable="volume">\r\n                    <group>\r\n                      <text term="volume" form="short" text-case="lowercase" suffix=". " strip-periods="true"/>\r\n                      <number variable="volume" form="numeric"/>\r\n                      <label variable="locator" form="short" prefix=", " suffix=" "/>\r\n                    </group>\r\n                  </if>\r\n                  <else>\r\n                    <label variable="locator" form="short" suffix=" "/>\r\n                  </else>\r\n                </choose>\r\n              </if>\r\n            </choose>\r\n          </if>\r\n          <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <number variable="volume" form="numeric" suffix=":"/>\r\n          </else-if>\r\n        </choose>\r\n        <text variable="locator"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="archive">\r\n    <group delimiter=". ">\r\n      <text variable="archive_location" text-case="capitalize-first"/>\r\n      <text variable="archive"/>\r\n      <text variable="archive-place"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="issue">\r\n    <choose>\r\n      <if type="article-journal legal_case" match="any">\r\n        <text macro="issued" prefix=" (" suffix=")"/>\r\n      </if>\r\n      <else-if type="speech">\r\n        <choose>\r\n          <if variable="title" match="none"/>\r\n          <else>\r\n            <text variable="genre" text-case="capitalize-first" prefix=". "/>\r\n          </else>\r\n        </choose>\r\n        <text macro="event" prefix=" "/>\r\n        <text variable="event-place" prefix=", "/>\r\n        <text macro="issued" prefix=", "/>\r\n      </else-if>\r\n      <else-if variable="publisher-place publisher" match="any">\r\n        <group prefix=". " delimiter=", ">\r\n          <choose>\r\n            <if type="thesis">\r\n              <text variable="genre" text-case="capitalize-first"/>\r\n            </if>\r\n          </choose>\r\n          <text macro="publisher"/>\r\n          <text macro="issued"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <text macro="issued" prefix=", "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="access">\r\n    <group delimiter=". ">\r\n      <choose>\r\n        <if type="graphic report" match="any">\r\n          <text macro="archive"/>\r\n        </if>\r\n        <else-if type="article-journal article-magazine article-newspaper bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="none">\r\n          <text macro="archive"/>\r\n        </else-if>\r\n      </choose>\r\n      <choose>\r\n        <if type="legal_case" match="none">\r\n          <text variable="URL"/>\r\n        </if>\r\n      </choose>\r\n      <text variable="call-number"/>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" et-al-subsequent-min="4" et-al-subsequent-use-first="1" disambiguate-add-names="true">\r\n    <layout prefix="" suffix="." delimiter="; ">\r\n      <choose>\r\n        <if position="ibid-with-locator">\r\n          <group delimiter=", ">\r\n            <text term="ibid"/>\r\n            <text macro="point-locators-subsequent"/>\r\n          </group>\r\n        </if>\r\n        <else-if position="ibid">\r\n          <text term="ibid"/>\r\n        </else-if>\r\n        <else>\r\n          <group delimiter=", ">\r\n            <text macro="contributors-short"/>\r\n            <text macro="title-short"/>\r\n            <text macro="point-locators-subsequent"/>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="11" et-al-use-first="7" subsequent-author-substitute="———" entry-spacing="0">\r\n    <sort>\r\n      <key macro="contributors-sort"/>\r\n      <key variable="title"/>\r\n      <key variable="genre"/>\r\n      <key variable="issued"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <group delimiter=". ">\r\n        <text macro="contributors"/>\r\n        <text macro="title"/>\r\n        <text macro="description"/>\r\n        <text macro="secondary-contributors"/>\r\n        <group delimiter=", ">\r\n          <text macro="container-title"/>\r\n          <text macro="container-contributors"/>\r\n          <text macro="locators-chapter"/>\r\n        </group>\r\n      </group>\r\n      <text macro="locators"/>\r\n      <text macro="collection-title" prefix=". "/>\r\n      <text macro="issue"/>\r\n      <text macro="locators-newspaper" prefix=", "/>\r\n      <text macro="locators-journal"/>\r\n      <text macro="access" prefix=". "/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(5, 0, 'http://www.zotero.org/styles/harvard1de', 'Harvard Reference format 1 (author-date, German)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Harvard Reference format 1 (author-date, German)</title>\r\n    <id>http://www.zotero.org/styles/harvard1de</id>\r\n    <link href="http://www.zotero.org/styles/harvard1de" rel="self"/>\r\n    <author>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Bruce D''Arcus</name>\r\n    </contributor>\r\n    <category citation-format="author-date"/>\r\n    <category field="generic-base"/>\r\n    <link href="http://www.zotero.org/styles/harvard1" rel="template"/>\r\n    <updated>2012-01-01T00:00:00+00:00</updated>\r\n    <summary>The Harvard author-date style, German variant.</summary>\r\n    <link href="http://libweb.anglia.ac.uk/referencing/harvard.htm" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="editor">\r\n    <names variable="editor" delimiter=", ">\r\n      <name and="symbol" initialize-with=". " delimiter=", "/>\r\n      <label form="short" prefix=", " text-case="lowercase" suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="anon">\r\n    <text term="anonymous" form="short" text-case="capitalize-first" strip-periods="true"/>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="symbol" sort-separator=", " initialize-with="." delimiter-precedes-last="never" delimiter=", "/>\r\n      <label form="short" prefix=" " suffix="." text-case="lowercase" strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <text macro="anon"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="symbol" delimiter=", " delimiter-precedes-last="never" initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="anon"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <text value="Available at:" suffix=" "/>\r\n        <text variable="URL"/>\r\n        <group prefix=" [" suffix="]">\r\n          <text term="accessed" text-case="capitalize-first" suffix=" "/>\r\n          <date variable="accessed">\r\n            <date-part name="month" suffix=" "/>\r\n            <date-part name="day" suffix=", "/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="year-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locator">\r\n    <group>\r\n      <label variable="locator" form="short" suffix=" " text-case="capitalize-first"/>\r\n      <text variable="locator" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <macro name="pages">\r\n    <group>\r\n      <label variable="page" form="short" suffix=" " text-case="capitalize-first"/>\r\n      <text variable="page" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" et-al-subsequent-min="6" et-al-subsequent-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" collapse="year">\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <group delimiter=" ">\r\n          <text macro="author-short"/>\r\n          <text macro="year-date"/>\r\n        </group>\r\n        <text macro="locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="4" et-al-use-first="1">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="title"/>\r\n    </sort>\r\n    <layout>\r\n      <text macro="author" suffix=","/>\r\n      <date variable="issued" prefix=" " suffix=".">\r\n        <date-part name="year"/>\r\n      </date>\r\n      <choose>\r\n        <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n          <group prefix=" " delimiter=" " suffix=",">\r\n            <text macro="title"/>\r\n            <text macro="edition"/>\r\n            <text macro="editor"/>\r\n          </group>\r\n          <text prefix=" " suffix="." macro="publisher"/>\r\n        </if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <text macro="title" prefix=" " suffix="."/>\r\n          <group prefix=" ">\r\n            <text term="in" text-case="capitalize-first"/>\r\n            <text macro="editor" prefix=" "/>\r\n            <text variable="container-title" font-style="italic" prefix=" " suffix="."/>\r\n            <text variable="collection-title" prefix=" " suffix="."/>\r\n            <group suffix=".">\r\n              <text macro="publisher" prefix=" "/>\r\n              <group prefix=", ">\r\n                <text macro="pages" prefix=", "/>\r\n              </group>\r\n            </group>\r\n          </group>\r\n        </else-if>\r\n        <else>\r\n          <group suffix=".">\r\n            <text macro="title" prefix=" "/>\r\n            <text macro="editor" prefix=" "/>\r\n          </group>\r\n          <group prefix=" " suffix=".">\r\n            <text variable="container-title" font-style="italic"/>\r\n            <group prefix=", ">\r\n              <text variable="volume"/>\r\n              <text variable="issue" prefix="(" suffix=")"/>\r\n            </group>\r\n            <text macro="pages" prefix=", "/>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n      <text prefix=" " macro="access" suffix="."/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(6, 0, 'http://www.zotero.org/styles/mla', 'Modern Language Association', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Modern Language Association</title>\r\n    <id>http://www.zotero.org/styles/mla</id>\r\n    <link href="http://www.zotero.org/styles/mla" rel="self"/>\r\n    <author>\r\n      <name>Ilouise S. Bradford</name>\r\n      <email>isbradford@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Sarah Ficke</name>\r\n      <email>sficke@email.unc.edu</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n      <email>karcher@u.northwestern.edu</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Christian Werthschulte</name>\r\n      <email>Christian.Werthschulte@rub.de</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Simon Kornblith</name>\r\n      <email>simon@simonster.com</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>James Johnston</name>\r\n      <email>thejamesjohnston@gmail.com</email>\r\n    </contributor>\r\n    <category field="generic-base"/>\r\n    <category citation-format="author"/>\r\n    <link href="http://owl.english.purdue.edu/owl/section/2/11/" rel="documentation"/>\r\n    <updated>2011-05-28T18:16:02+00:00</updated>\r\n    <summary>This style adheres to the MLA 7th edition handbook and contains modifications to these types of sources: e-mail, forum posts, interviews, manuscripts, maps, presentations, TV broadcasts, and web pages.</summary>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="en">\r\n    <terms>\r\n      <term name="month-01" form="short">Jan.</term>\r\n      <term name="month-02" form="short">Feb.</term>\r\n      <term name="month-03" form="short">Mar.</term>\r\n      <term name="month-04" form="short">Apr.</term>\r\n      <term name="month-05" form="short">May</term>\r\n      <term name="month-06" form="short">June</term>\r\n      <term name="month-07" form="short">July</term>\r\n      <term name="month-08" form="short">Aug.</term>\r\n      <term name="month-09" form="short">Sept.</term>\r\n      <term name="month-10" form="short">Oct.</term>\r\n      <term name="month-11" form="short">Nov.</term>\r\n      <term name="month-12" form="short">Dec.</term>\r\n      <term name="volume" form="short">\r\n        <single>Vol.</single>\r\n        <multiple>vols</multiple>\r\n      </term>\r\n      <term name="edition" form="short">ed</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="editor-translator">\r\n    <names variable="editor translator" delimiter=". ">\r\n      <label form="verb-short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n      <name and="symbol" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="." strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", " initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title-short"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <group delimiter=" ">\r\n      <date variable="accessed">\r\n        <date-part name="day" suffix=" "/>\r\n        <date-part name="month" form="short" suffix=" " strip-periods="false"/>\r\n        <date-part name="year"/>\r\n      </date>\r\n    </group>\r\n  </macro>\r\n  <macro name="medium">\r\n    <choose>\r\n      <if type="motion_picture">\r\n        <choose>\r\n          <if variable="medium">\r\n            <text variable="medium" prefix=" "/>\r\n          </if>\r\n          <else>\r\n            <text value="Film" prefix=" "/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else-if type="broadcast">\r\n        <choose>\r\n          <if variable="medium">\r\n            <text variable="medium" prefix=" "/>\r\n          </if>\r\n          <else>\r\n            <text value="Television" prefix=" "/>\r\n          </else>\r\n        </choose>\r\n      </else-if>\r\n      <else-if type="manuscript">\r\n        <text value=""/>\r\n      </else-if>\r\n      <else-if type="personal_communication" match="any">\r\n        <text value="" prefix=" "/>\r\n      </else-if>\r\n      <else-if type="speech" match="any">\r\n        <text value=""/>\r\n      </else-if>\r\n      <else-if type="interview">\r\n        <text variable="medium" prefix=" "/>\r\n      </else-if>\r\n      <else-if type="song">\r\n        <choose>\r\n          <if variable="medium">\r\n            <text variable="medium" prefix=" "/>\r\n          </if>\r\n          <else>\r\n            <text value="Audio Recording" prefix=" "/>\r\n          </else>\r\n        </choose>\r\n      </else-if>\r\n      <else>\r\n        <choose>\r\n          <if variable="URL DOI" match="any">\r\n            <text variable="archive" prefix=" " suffix=". "/>\r\n            <text value="Web" prefix=" "/>\r\n            <text prefix=". " suffix="." macro="access"/>\r\n          </if>\r\n          <else>\r\n            <text value="Print" prefix=" "/>\r\n          </else>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation manuscript motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic" text-case="title"/>\r\n      </if>\r\n      <else-if type="interview personal_communication" match="any">\r\n        <text variable="title" text-case="title" quotes="false"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" text-case="title" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-short">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation manuscript motion_picture report song" match="any">\r\n        <text variable="title" text-case="title" form="short" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title" text-case="title" form="short" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages">\r\n    <choose>\r\n      <if variable="page">\r\n        <text variable="page"/>\r\n      </if>\r\n      <else-if type="personal_communication interview" match="any">\r\n        <text value=""/>\r\n      </else-if>\r\n      <else>\r\n        <text value="n. pag"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="volume">\r\n    <choose>\r\n      <if is-numeric="volume">\r\n        <group delimiter=" ">\r\n          <text term="volume" form="short" strip-periods="false"/>\r\n          <number variable="volume"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="volume"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="number-of-volumes">\r\n    <choose>\r\n      <if is-numeric="number-of-volumes">\r\n        <group delimiter=" ">\r\n          <number variable="number-of-volumes"/>\r\n          <text term="volume" form="short" plural="true" strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="number-of-volumes"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="collection-title">\r\n    <text variable="collection-title" text-case="title" prefix=" "/>\r\n  </macro>\r\n  <macro name="collection-number">\r\n    <text variable="collection-number" prefix=" " suffix="."/>\r\n  </macro>\r\n  <macro name="publisher-year">\r\n    <group delimiter=", ">\r\n      <group delimiter=": ">\r\n        <text variable="publisher-place"/>\r\n        <text variable="publisher"/>\r\n      </group>\r\n      <date variable="issued">\r\n        <date-part name="year"/>\r\n      </date>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" disambiguate-add-names="true" disambiguate-add-givenname="true">\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=" ">\r\n        <choose>\r\n          <if variable="author editor translator" match="any">\r\n            <group delimiter=", ">\r\n              <text macro="author-short"/>\r\n              <choose>\r\n                <if disambiguate="true">\r\n                  <text macro="title-short"/>\r\n                </if>\r\n              </choose>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text macro="title-short"/>\r\n          </else>\r\n        </choose>\r\n        <text variable="locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="4" et-al-use-first="1" line-spacing="2" entry-spacing="0" subsequent-author-substitute="---">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="title"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <text macro="author" suffix="."/>\r\n      <text macro="title" prefix=" " suffix="."/>\r\n      <choose>\r\n        <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n          <text macro="edition" prefix=" " suffix="."/>\r\n          <text macro="editor-translator" prefix=" " suffix="."/>\r\n          <text macro="volume" prefix=" " suffix="."/>\r\n          <text macro="number-of-volumes" prefix=" " suffix="."/>\r\n          <text macro="publisher-year" prefix=" " suffix="."/>\r\n        </if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <group>\r\n            <text variable="container-title" text-case="title" font-style="italic" prefix=" " suffix="."/>\r\n            <text macro="edition" prefix=" " suffix="."/>\r\n            <text macro="editor-translator" prefix=" " suffix="."/>\r\n            <text macro="volume" prefix=" " suffix="."/>\r\n            <text macro="number-of-volumes" prefix=" " suffix="."/>\r\n            <text macro="publisher-year" prefix=" " suffix="."/>\r\n          </group>\r\n          <text variable="page" prefix=" " suffix="."/>\r\n        </else-if>\r\n        <else-if type="manuscript">\r\n          <date variable="issued" prefix=" " suffix=".">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <text variable="genre" prefix=" " suffix="."/>\r\n          <text variable="archive_location" prefix=" " suffix="."/>\r\n          <text variable="publisher-place" prefix=" "/>\r\n        </else-if>\r\n        <else-if type="personal_communication">\r\n          <date variable="issued" prefix=" " suffix=".">\r\n            <date-part name="day" suffix=" "/>\r\n            <date-part name="month" form="short" suffix=" "/>\r\n            <date-part name="year"/>\r\n          </date>\r\n          <choose>\r\n            <if variable="genre">\r\n              <text prefix=" " suffix="." variable="genre"/>\r\n            </if>\r\n            <else>\r\n              <text prefix=" " suffix="." value="E-mail"/>\r\n            </else>\r\n          </choose>\r\n        </else-if>\r\n        <else-if type="map">\r\n          <text variable="genre" prefix=" " suffix="."/>\r\n          <text variable="publisher-place" prefix=" " suffix=":"/>\r\n          <text variable="publisher" prefix=" "/>\r\n          <date variable="issued" prefix=" " suffix=",">\r\n            <date-part name="year"/>\r\n          </date>\r\n        </else-if>\r\n        <else-if type="speech">\r\n          <text variable="event" prefix=" " suffix="."/>\r\n          <text variable="publisher-place" prefix=" " suffix="."/>\r\n          <date variable="issued" prefix=" " suffix=".">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <text variable="genre" prefix=" " suffix="."/>\r\n        </else-if>\r\n        <else-if type="webpage">\r\n          <text variable="container-title" font-style="italic" prefix=" " suffix="."/>\r\n          <text variable="genre" prefix=" " suffix="."/>\r\n          <date variable="issued" prefix=" " suffix=".">\r\n            <date-part name="day" suffix=" "/>\r\n            <date-part name="month" form="short" suffix=" " strip-periods="false"/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </else-if>\r\n        <else-if type="broadcast">\r\n          <text variable="container-title" font-style="italic" prefix=" " suffix="."/>\r\n          <text variable="publisher" prefix=" " suffix=","/>\r\n          <date variable="issued" prefix=" " suffix=".">\r\n            <date-part name="day" suffix=" "/>\r\n            <date-part name="month" form="short" suffix=" " strip-periods="false"/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </else-if>\r\n        <else>\r\n          <group prefix=" " suffix="." delimiter=": ">\r\n            <group delimiter=" ">\r\n              <text macro="editor-translator" suffix="."/>\r\n              <text variable="container-title" font-style="italic"/>\r\n              <choose>\r\n                <if type="article-journal">\r\n                  <group delimiter=" ">\r\n                    <group delimiter=".">\r\n                      <text variable="volume"/>\r\n                      <text variable="issue"/>\r\n                    </group>\r\n                    <date variable="issued" prefix="(" suffix="):">\r\n                      <date-part name="year"/>\r\n                    </date>\r\n                  </group>\r\n                  <text macro="pages" prefix=" "/>\r\n                </if>\r\n                <else>\r\n                  <date variable="issued">\r\n                    <date-part name="day" suffix=" "/>\r\n                    <date-part name="month" form="short" suffix=" " strip-periods="false"/>\r\n                    <date-part name="year"/>\r\n                  </date>\r\n                  <choose>\r\n                    <if variable="URL DOI" match="any">\r\n                      <text variable="page" prefix=": "/>\r\n                    </if>\r\n                    <else>\r\n                      <text macro="pages" prefix=": "/>\r\n                    </else>\r\n                  </choose>\r\n                </else>\r\n              </choose>\r\n            </group>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n      <text macro="medium" suffix="."/>\r\n      <text macro="collection-title"/>\r\n      <text macro="collection-number"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(7, 0, 'http://www.zotero.org/styles/mhra', 'Modern Humanities Research Association (note with bibliography)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="note" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-GB">\r\n  <info>\r\n    <title>Modern Humanities Research Association (note with bibliography)</title>\r\n    <id>http://www.zotero.org/styles/mhra</id>\r\n    <link href="http://www.zotero.org/styles/mhra" rel="self"/>\r\n    <link href="http://www.mhra.org.uk/Publications/Books/StyleGuide/download.shtml" rel="documentation"/>\r\n    <author>\r\n      <name>Rintze Zelle</name>\r\n      <uri>http://twitter.com/rintzezelle</uri>\r\n    </author>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n    </contributor>\r\n    <summary>MHRA format with full notes and bibliography</summary>\r\n    <category field="generic-base"/>\r\n    <category citation-format="note"/>\r\n    <updated>2009-12-15T12:42:52+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="en">\r\n    <terms>\r\n      <term name="et-al">and others</term>\r\n      <term name="editor" form="verb-short">ed. by</term>\r\n      <term name="edition" form="short">edn</term>\r\n      <term name="translator" form="verb-short">trans. by</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="."/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title-note"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="contributors-note">\r\n    <names variable="author">\r\n      <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n    </names>\r\n    <text macro="recipient-note"/>\r\n  </macro>\r\n  <macro name="title-note">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic" text-case="title"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title" quotes="true" text-case="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-short">\r\n    <choose>\r\n      <if disambiguate="true">\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" font-style="italic" text-case="title" form="short"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" quotes="true" text-case="title" form="short"/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-sort-substitute">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic" text-case="title" form="short"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title" quotes="true" text-case="title" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="editor-translator">\r\n    <group delimiter=", ">\r\n      <names variable="editor" delimiter=", ">\r\n        <label form="verb-short" text-case="lowercase" suffix=" "/>\r\n        <name and="text" delimiter=", " delimiter-precedes-last="never"/>\r\n      </names>\r\n      <choose>\r\n        <if variable="author editor" match="any">\r\n          <names variable="translator" delimiter=", ">\r\n            <label form="verb-short" text-case="lowercase" suffix=" "/>\r\n            <name and="text" delimiter=", " delimiter-precedes-last="never"/>\r\n          </names>\r\n        </if>\r\n      </choose>\r\n    </group>\r\n  </macro>\r\n  <macro name="collection-title">\r\n    <text variable="collection-title" text-case="title"/>\r\n    <text variable="collection-number" prefix=", "/>\r\n  </macro>\r\n  <macro name="locators-note">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="volume"/>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <group delimiter=", ">\r\n          <text macro="edition-note"/>\r\n          <group>\r\n            <number variable="number-of-volumes" form="numeric"/>\r\n            <text term="volume" form="short" prefix=" " plural="true"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="volume">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="volume"/>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <group delimiter=", ">\r\n          <text macro="edition-note"/>\r\n          <group>\r\n            <number variable="number-of-volumes" form="numeric"/>\r\n            <text term="volume" form="short" prefix=" " plural="true"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issue-note">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <choose>\r\n          <if variable="volume">\r\n            <text macro="issued" prefix=" (" suffix=")"/>\r\n          </if>\r\n          <else>\r\n            <text macro="issued" prefix=", "/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else-if variable="publisher-place publisher" match="any">\r\n        <group prefix=" (" suffix=")" delimiter=", ">\r\n          <group delimiter=" ">\r\n            <choose>\r\n              <if variable="title" match="none"/>\r\n              <else-if type="thesis speech" match="any">\r\n                <text variable="genre" prefix="unpublished "/>\r\n              </else-if>\r\n            </choose>\r\n            <text macro="event"/>\r\n          </group>\r\n          <text macro="publisher"/>\r\n          <text macro="issued"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <text macro="issued" prefix=", "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-specific-note">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="volume">\r\n            <number variable="volume" form="roman" font-variant="small-caps"/>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-title-note">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="lowercase" suffix=" "/>\r\n      </if>\r\n    </choose>\r\n    <text variable="container-title" font-style="italic"/>\r\n  </macro>\r\n  <macro name="edition-note">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="edition">\r\n            <group delimiter=" ">\r\n              <number variable="edition" form="ordinal"/>\r\n              <text term="edition" form="short"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text variable="edition"/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="editor-note">\r\n    <names variable="editor">\r\n      <name and="text" sort-separator=", " delimiter=", "/>\r\n      <label form="short" prefix=", " suffix="."/>\r\n    </names>\r\n  </macro>\r\n  <macro name="translator-note">\r\n    <names variable="translator">\r\n      <name and="text" sort-separator=", " delimiter=", "/>\r\n      <label form="verb-short" prefix=", " suffix="."/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient-note">\r\n    <names variable="recipient" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient-short">\r\n    <names variable="recipient">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name form="short" and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="contributors-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title-sort-substitute"/>\r\n      </substitute>\r\n    </names>\r\n    <text macro="recipient-short"/>\r\n  </macro>\r\n  <macro name="interviewer-note">\r\n    <names variable="interviewer" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="locators-newspaper">\r\n    <choose>\r\n      <if type="article-newspaper">\r\n        <group delimiter=", ">\r\n          <group>\r\n            <text variable="edition" suffix=" "/>\r\n            <text term="edition" prefix=" "/>\r\n          </group>\r\n          <group>\r\n            <text term="section" suffix=" "/>\r\n            <text variable="section"/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <group>\r\n      <text term="presented at" suffix=" "/>\r\n      <text variable="event"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if type="graphic report article-newspaper" match="any">\r\n        <date variable="issued">\r\n          <date-part name="day" suffix=" "/>\r\n          <date-part name="month" suffix=" "/>\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="any">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </else-if>\r\n      <else>\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="page" prefix=", "/>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if variable="volume">\r\n            <text variable="page" prefix=", "/>\r\n          </if>\r\n          <else>\r\n            <label variable="page" form="short" prefix=", " suffix=" "/>\r\n            <text variable="page"/>\r\n          </else>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="point-locators">\r\n    <text macro="pages"/>\r\n    <choose>\r\n      <if variable="page">\r\n        <group prefix=" (" suffix=")">\r\n          <label variable="locator" form="short" suffix=" "/>\r\n          <text variable="locator"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <label variable="locator" form="short" prefix=", " suffix=" "/>\r\n        <text variable="locator"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="archive-note">\r\n    <group delimiter=", ">\r\n      <text variable="archive_location"/>\r\n      <text variable="archive"/>\r\n      <text variable="archive-place"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="access-note">\r\n    <group delimiter=", ">\r\n      <choose>\r\n        <if type="graphic report" match="any">\r\n          <text macro="archive-note" prefix=", "/>\r\n        </if>\r\n        <else-if type="article-journal article-magazine article-newspaper bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="none">\r\n          <text macro="archive-note" prefix=", "/>\r\n        </else-if>\r\n      </choose>\r\n    </group>\r\n    <choose>\r\n      <if variable="DOI">\r\n        <text variable="DOI" prefix=" &lt;doi:" suffix="&gt;"/>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if variable="URL">\r\n            <text variable="URL" prefix=" &lt;" suffix="&gt;"/>\r\n            <group prefix=" [" suffix="]">\r\n              <text term="accessed" text-case="lowercase"/>\r\n              <date variable="accessed">\r\n                <date-part name="day" prefix=" "/>\r\n                <date-part name="month" prefix=" "/>\r\n                <date-part name="year" prefix=" "/>\r\n              </date>\r\n            </group>\r\n          </if>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" disambiguate-add-names="true" disambiguate-add-givenname="true">\r\n    <layout prefix="" suffix="." delimiter="; ">\r\n      <choose>\r\n        <if position="subsequent">\r\n          <text macro="contributors-short"/>\r\n          <text macro="title-short" prefix=", "/>\r\n          <text macro="locators-specific-note" prefix=", "/>\r\n          <text macro="point-locators"/>\r\n        </if>\r\n        <else>\r\n          <group delimiter=", ">\r\n            <text macro="contributors-note"/>\r\n            <text macro="title-note"/>\r\n            <text macro="container-title-note"/>\r\n            <text macro="editor-translator"/>\r\n            <text macro="collection-title"/>\r\n            <text macro="locators-note"/>\r\n          </group>\r\n          <text macro="issue-note"/>\r\n          <text macro="locators-specific-note" prefix=", "/>\r\n          <text macro="locators-newspaper" prefix=", "/>\r\n          <text macro="point-locators"/>\r\n          <text macro="access-note"/>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="7" et-al-use-first="6" subsequent-author-substitute="---">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="title"/>\r\n    </sort>\r\n    <layout>\r\n      <group delimiter=", ">\r\n        <text macro="author"/>\r\n        <text macro="title-note"/>\r\n        <text macro="container-title-note"/>\r\n        <text macro="editor-translator"/>\r\n        <text macro="collection-title"/>\r\n        <text macro="volume"/>\r\n      </group>\r\n      <text macro="issue-note"/>\r\n      <text macro="locators-specific-note" prefix=", "/>\r\n      <text macro="locators-newspaper" prefix=", "/>\r\n      <text macro="pages"/>\r\n      <text macro="access-note"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(8, 0, 'http://www.zotero.org/styles/bluebook-law-review', 'Bluebook Law Review', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="note" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Bluebook Law Review</title>\r\n    <id>http://www.zotero.org/styles/bluebook-law-review</id>\r\n    <link href="http://www.zotero.org/styles/bluebook-law-review" rel="self"/>\r\n    <author>\r\n      <name>Bruce D''Arcus</name>\r\n      <email>bdarcus@gmail.com</email>\r\n    </author>\r\n    <author>\r\n      <name>Nancy Sims</name>\r\n      <email>nsims@umich.edu</email>\r\n    </author>\r\n    <category citation-format="note"/>\r\n    <updated>2012-01-01T00:00:00+00:00</updated>\r\n    <summary>The Bluebook legal citation style for law reviews.</summary>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <!-- sets up basics of dealing with authors -->\r\n  <macro name="name-macro">\r\n    <names variable="author">\r\n      <name and="symbol" delimiter=", " delimiter-precedes-last="never"/>\r\n      <label form="short" prefix=" " suffix="." strip-periods="true"/>\r\n      <substitute>\r\n        <text variable="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text macro="name-short-macro" font-variant="small-caps"/>\r\n      </if>\r\n      <else>\r\n        <text macro="name-short-macro"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="name-short-macro">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", "/>\r\n      <label form="verb-short" prefix=", " suffix="." strip-periods="true"/>\r\n      <substitute>\r\n        <text variable="title" form="short"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author">\r\n    <choose>\r\n      <if type="legal_case">\r\n        <text macro="name-macro" font-variant="normal"/>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text macro="name-macro" font-variant="small-caps"/>\r\n      </else-if>\r\n      <else>\r\n        <text macro="name-macro"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- sets up basics of dealing with editors and translators. Will generally only show up in book citations, as called in XXXX, below -->\r\n  <macro name="editor-translator">\r\n    <names variable="editor translator" prefix="" suffix=" " delimiter=", ">\r\n      <name and="symbol" delimiter=", "/>\r\n      <label form="short" prefix=" " suffix=".," strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <!-- sets up font variations for titles in books, articles, etc. -->\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-variant="small-caps"/>\r\n      </if>\r\n      <else-if type="article-journal article-magazine article-newspaper broadcast interview manuscript map patent personal_communication song speech thesis webpage" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </else-if>\r\n      <else-if type="legal_case">\r\n        <text variable="title" font-variant="normal"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- link to online content, called in YYYYY -->\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <text variable="URL"/>\r\n        <group prefix=" (" suffix=")">\r\n          <text value="last visited" suffix=" "/>\r\n          <date variable="accessed">\r\n            <date-part name="month" form="short" suffix=" " strip-periods="true"/>\r\n            <date-part name="day" suffix=", "/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="source">\r\n    <!-- This macro seems really problematic, with a ton of redundancy. I''d move some of\r\n    the conditional logic into the appropriate macros (like ''title'') and try to remove this\r\n    macro entirely. -->\r\n    <choose>\r\n      <if type="article-journal" match="any">\r\n        <text variable="title" suffix=", " font-style="italic"/>\r\n        <text variable="volume" suffix=""/>\r\n        <text macro="container"/>\r\n        <text variable="page" prefix=" "/>\r\n        <text variable="locator" prefix=", "/>\r\n        <text macro="issuance" prefix=" (" suffix=")"/>\r\n      </if>\r\n      <else-if type="legal_case">\r\n        <text variable="title" suffix=", " font-variant="normal"/>\r\n        <text variable="volume" suffix=""/>\r\n        <text macro="container"/>\r\n        <text variable="page" prefix=" "/>\r\n        <text variable="locator" prefix=", "/>\r\n        <text macro="issuance" prefix=" (" suffix=")"/>\r\n      </else-if>\r\n      <else-if type="article-newspaper article-magazine thesis" match="any">\r\n        <text variable="title" suffix=", " font-style="italic"/>\r\n        <text variable="volume" suffix=" "/>\r\n        <text macro="container" suffix=", "/>\r\n        <text macro="issuance"/>\r\n        <group delimiter="">\r\n          <text value="at" prefix=", "/>\r\n          <text variable="page" prefix=" "/>\r\n        </group>\r\n      </else-if>\r\n      <else-if type="chapter paper-conference" match="any">\r\n        <text variable="title" suffix=", " font-style="italic"/>\r\n        <text variable="volume" suffix=" "/>\r\n        <text macro="container" suffix=" "/>\r\n        <text variable="page"/>\r\n        <text variable="locator" prefix=", "/>\r\n        <text macro="issuance" prefix=" (" suffix=")"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="volume" suffix=" "/>\r\n        <text variable="title" font-variant="small-caps"/>\r\n        <text macro="container" prefix=" "/>\r\n        <text variable="page" prefix=" "/>\r\n        <text variable="locator" prefix=" "/>\r\n        <text macro="issuance" prefix=" (" suffix=")"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issuance">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper broadcast interview manuscript map patent personal_communication song speech thesis webpage" match="any">\r\n        <group prefix="" suffix="">\r\n          <choose>\r\n            <if type="article-newspaper thesis" match="any">\r\n              <group suffix=", ">\r\n                <date variable="issued">\r\n                  <date-part name="month"/>\r\n                  <date-part name="day" prefix=" "/>\r\n                </date>\r\n              </group>\r\n            </if>\r\n          </choose>\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <!-- removed an extra space in the prefix here NS 20110511 -->\r\n        <group prefix="" suffix="" delimiter=" ">\r\n          <text macro="editor-translator"/>\r\n          <text variable="edition" suffix=" ed."/>\r\n          <!-- replaced a text element with a missing variable reference -->\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- sets up citing to specific page numbers for id and supra cites -->\r\n  <macro name="at_page">\r\n    <group delimiter="">\r\n      <text value="at" prefix=" "/>\r\n      <text variable="locator" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <!-- sets up the "in" in front of book sections, etc. -->\r\n  <macro name="container">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <group delimiter="">\r\n          <text term="in" text-case="lowercase" font-style="italic" prefix=" "/>\r\n          <text variable="container-title" font-variant="small-caps" prefix=" "/>\r\n        </group>\r\n      </if>\r\n      <else-if type="legal_case">\r\n        <text variable="container-title" form="short" prefix=" "/>\r\n      </else-if>\r\n      <else-if type="article-journal">\r\n        <text variable="container-title" form="short" font-variant="small-caps" prefix=" "/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="container-title" font-variant="small-caps"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1">\r\n    <layout suffix="." delimiter="; ">\r\n      <choose>\r\n        <if position="ibid">\r\n          <text value="id." text-case="capitalize-first" font-style="italic"/>\r\n          <text macro="at_page" suffix="."/>\r\n          <!-- period will not show up - this is for find-and-replace later. -->\r\n        </if>\r\n        <else-if position="subsequent">\r\n          <text macro="author-short"/>\r\n          <text value="supra" font-style="italic" prefix=", "/>\r\n          <text value="note" prefix=" "/>\r\n          <!-- CSL does not currently support reference to a note number, so we leave a blank space for correction now -->\r\n          <text value="___"/>\r\n          <text macro="at_page"/>\r\n        </else-if>\r\n        <else>\r\n          <text macro="author" suffix=", "/>\r\n          <text macro="source"/>\r\n          <text macro="access" prefix=", "/>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </citation>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(9, 0, 'http://www.zotero.org/styles/acs-chemical-biology', 'ACS Chemical Biology', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-US">\r\n  <info>\r\n    <title>ACS Chemical Biology</title>\r\n    <id>http://www.zotero.org/styles/acs-chemical-biology</id>\r\n    <link href="http://www.zotero.org/styles/acs-chemical-biology" rel="self"/>\r\n    <author>\r\n      <name>Rintze Zelle</name>\r\n      <uri>http://twitter.com/rintzezelle</uri>\r\n    </author>\r\n    <category citation-format="numeric"/>\r\n    <category field="chemistry"/>\r\n    <category field="biology"/>\r\n    <updated>2008-10-29T20:22:16+00:00</updated>\r\n    <summary>A style for the ACS publication "ACS Chemical Biology"</summary>\r\n    <issn>1554-8929</issn>\r\n    <link href="http://pubs.acs.org/journals/acbcct/publishing/InfoForAuthors.pdf" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="text" sort-separator=", " initialize-with=". " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=" (" suffix=".)" text-case="capitalize-first" strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="issued">\r\n    <group prefix=" (" suffix=")">\r\n      <date variable="issued">\r\n        <date-part name="year"/>\r\n      </date>\r\n      <choose>\r\n        <if type="article-journal bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="none">\r\n          <date variable="issued">\r\n            <date-part prefix=", " name="month"/>\r\n            <date-part prefix=" " name="day"/>\r\n          </date>\r\n        </if>\r\n      </choose>\r\n    </group>\r\n  </macro>\r\n  <macro name="container-title">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="capitalize-first" prefix=". " suffix=" "/>\r\n        <text variable="container-title" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="container-title" form="short" font-style="italic" prefix=", "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-contributors">\r\n    <names variable="editor" delimiter=", " prefix=" (" suffix=")">\r\n      <name name-as-sort-order="all" and="text" sort-separator=", " initialize-with=". " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " text-case="capitalize-first" suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="edition">\r\n            <group delimiter=" ">\r\n              <number variable="edition" form="ordinal"/>\r\n              <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text variable="edition" suffix="."/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages-book-chapter">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <label variable="page" form="short" prefix=", " suffix=" " strip-periods="true"/>\r\n        <text variable="page"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=", " prefix=", ">\r\n      <text variable="genre"/>\r\n      <text variable="publisher"/>\r\n      <text variable="publisher-place"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="event">\r\n    <text variable="event"/>\r\n    <text variable="event-place" prefix=", "/>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <group prefix=" " delimiter=", ">\r\n          <text variable="volume" font-style="italic"/>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <citation collapse="citation-number">\r\n    <sort>\r\n      <key variable="citation-number"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter=", ">\r\n      <text variable="citation-number" font-style="italic"/>\r\n    </layout>\r\n  </citation>\r\n  <bibliography second-field-align="flush" entry-spacing="0">\r\n    <layout suffix=".">\r\n      <text variable="citation-number" suffix=". "/>\r\n      <text macro="author" suffix="."/>\r\n      <text macro="issued"/>\r\n      <text variable="title" prefix=" "/>\r\n      <text macro="container-title"/>\r\n      <text macro="container-contributors"/>\r\n      <text macro="edition" prefix=" "/>\r\n      <text macro="pages-book-chapter"/>\r\n      <text macro="publisher"/>\r\n      <text macro="locators"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(10, 0, 'http://www.zotero.org/styles/american-institute-of-physics', 'American Institute of Physics (AIP)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-US">\r\n  <info>\r\n    <title>American Institute of Physics (AIP)</title>\r\n    <id>http://www.zotero.org/styles/american-institute-of-physics</id>\r\n    <link href="http://www.zotero.org/styles/american-institute-of-physics" rel="self"/>\r\n    <author>\r\n      <name>Richard Karnesky</name>\r\n      <email>karnesky+zotero@gmail.com</email>\r\n      <uri>http://arc.nucapt.northwestern.edu/Richard_Karnesky</uri>\r\n    </author>\r\n    <category field="physics"/>\r\n    <!--<category term="materials science"/>-->\r\n    <category field="generic-base"/>\r\n    <category citation-format="numeric"/>\r\n    <updated>2008-10-05T00:00:00+00:00</updated>\r\n    <summary>Common style use by AIP publications.</summary>\r\n    <link href="http://arc.nucapt.northwestern.edu/refbase/show.php?record=113" rel="documentation"/>\r\n    <!-- No attempt to make compound citations is made here <http://forums.zotero.org/discussion/4288/>-->\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name delimiter=", " initialize-with="." and="text"/>\r\n      <label form="long" text-case="lowercase" prefix=", " suffix=" "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="editor">\r\n    <names variable="editor">\r\n      <label form="verb" text-case="lowercase" suffix=" "/>\r\n      <name delimiter=", " initialize-with="." and="text"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="year-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="day-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="day" suffix=" "/>\r\n          <date-part name="month" form="long" suffix=" "/>\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group prefix="(" suffix=")" delimiter=", ">\r\n      <text variable="publisher"/>\r\n      <text variable="publisher-place" text-case="title"/>\r\n      <text macro="year-date"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation collapse="citation-number">\r\n    <sort>\r\n      <key variable="citation-number"/>\r\n    </sort>\r\n    <layout delimiter="," vertical-align="sup">\r\n      <text variable="citation-number"/>\r\n    </layout>\r\n  </citation>\r\n  <bibliography entry-spacing="0">\r\n    <layout suffix=".">\r\n      <text variable="citation-number" vertical-align="sup"/>\r\n      <text macro="author" prefix=" " suffix=", "/>\r\n      <choose>\r\n        <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n          <group delimiter=" ">\r\n            <group delimiter=", ">\r\n              <text variable="title" text-case="title" font-style="italic"/>\r\n              <text macro="edition"/>\r\n            </group>\r\n            <group delimiter=", ">\r\n              <text macro="publisher"/>\r\n              <group delimiter=" ">\r\n                <label variable="page" form="short" suffix="." strip-periods="true"/>\r\n                <text variable="page"/>\r\n              </group>\r\n            </group>\r\n          </group>\r\n        </if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <group delimiter=" ">\r\n            <text term="in" text-case="lowercase"/>\r\n            <group delimiter=", ">\r\n              <text variable="container-title" form="short" text-case="title" font-style="italic"/>\r\n              <text macro="editor"/>\r\n              <text macro="edition"/>\r\n            </group>\r\n            <group delimiter=", ">\r\n              <text macro="publisher"/>\r\n              <group delimiter=" ">\r\n                <label variable="page" form="short" suffix="." strip-periods="true"/>\r\n                <text variable="page"/>\r\n              </group>\r\n            </group>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="patent">\r\n          <group delimiter=" ">\r\n            <text variable="number" prefix="U.S. Patent No. "/>\r\n            <text macro="day-date" prefix="(" suffix=")"/>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="thesis">\r\n          <group delimiter=", ">\r\n            <text variable="title" text-case="title"/>\r\n            <text variable="genre"/>\r\n            <text variable="publisher"/>\r\n            <text macro="year-date"/>\r\n          </group>\r\n        </else-if>\r\n        <else>\r\n          <group delimiter=" ">\r\n            <text variable="container-title" form="short" text-case="title"/>\r\n            <group delimiter=", ">\r\n              <text variable="volume" font-weight="bold"/>\r\n              <group delimiter=" ">\r\n                <text variable="page-first"/>\r\n                <text macro="year-date" prefix="(" suffix=")"/>\r\n              </group>\r\n            </group>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(11, 0, 'http://www.zotero.org/styles/vancouver', 'Vancouver', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" page-range-format="minimal">\r\n  <info>\r\n    <title>Vancouver</title>\r\n    <id>http://www.zotero.org/styles/vancouver</id>\r\n    <link href="http://www.zotero.org/styles/vancouver" rel="self"/>\r\n    <author>\r\n      <name>Michael Berkowitz</name>\r\n      <email>mberkowi@gmu.edu</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Sean Takats</name>\r\n      <email>stakats@gmu.edu</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n    </contributor>\r\n    <category field="medicine"/>\r\n    <category citation-format="numeric"/>\r\n    <updated>2008-09-16T00:00:00+00:00</updated>\r\n    <summary>\r\n      Vancouver style as outlined by International Committee of Medical Journal Editors Uniform Requirements for Manuscripts Submitted to Biomedical Journals: Sample References\r\n    </summary>\r\n    <link href="http://www.nlm.nih.gov/bsd/uniform_requirements.html" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="en">\r\n    <terms>\r\n      <term name="retrieved">available</term>\r\n      <term name="section" form="short">sect.</term>\r\n    </terms>\r\n  </locale>\r\n  <locale xml:lang="de">\r\n    <terms>\r\n      <term name="retrieved">verfügbar</term>\r\n      <term name="from">unter</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name sort-separator=" " initialize-with="" name-as-sort-order="all" delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="long" prefix=", "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="editor">\r\n    <group delimiter=": ">\r\n      <choose>\r\n        <if type="chapter paper-conference">\r\n          <text term="in" text-case="capitalize-first"/>\r\n        </if>\r\n      </choose>\r\n      <names variable="editor" suffix=".">\r\n        <name sort-separator=" " initialize-with="" name-as-sort-order="all" delimiter=", " delimiter-precedes-last="always"/>\r\n        <label form="long" prefix=", "/>\r\n      </names>\r\n    </group>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": " suffix=";">\r\n      <choose>\r\n        <if type="thesis">\r\n          <text variable="publisher-place" prefix="[" suffix="]"/>\r\n        </if>\r\n        <else>\r\n          <text variable="publisher-place"/>\r\n        </else>\r\n      </choose>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <group delimiter=": ">\r\n          <group delimiter=" ">\r\n            <text term="retrieved" text-case="capitalize-first"/>\r\n            <text term="from"/>\r\n          </group>\r\n          <text variable="URL"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="accessed-date">\r\n    <choose>\r\n      <if variable="URL">\r\n        <group prefix="[" suffix="]" delimiter=" ">\r\n          <text term="cited" text-case="lowercase"/>\r\n          <date variable="accessed" suffix="">\r\n            <date-part name="year"/>\r\n            <date-part name="month" prefix=" " form="short" strip-periods="true"/>\r\n            <date-part name="day" prefix=" "/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-title">\r\n    <choose>\r\n      <if type="article-journal article-magazine chapter paper-conference article-newspaper" match="any">\r\n        <group suffix="." delimiter=" ">\r\n          <text variable="container-title" form="short"/>\r\n          <choose>\r\n            <if variable="URL">\r\n              <text term="internet" prefix="[" suffix="]" text-case="capitalize-first"/>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n        <text macro="edition" prefix=" "/>\r\n      </if>\r\n      <!--add event-name and event-place once they become available-->\r\n      <else-if type="bill legislation">\r\n        <group delimiter=", ">\r\n          <group delimiter=". ">\r\n            <text variable="container-title" form="short"/>\r\n            <group delimiter=" ">\r\n              <text term="section" form="short" text-case="capitalize-first"/>\r\n              <text variable="section"/>\r\n            </group>\r\n          </group>\r\n          <text variable="number"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <text variable="container-title" suffix="." form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <text variable="title"/>\r\n    <choose>\r\n      <if type="article-journal article-magazine chapter paper-conference article-newspaper" match="none">\r\n        <choose>\r\n          <if variable="URL">\r\n            <text term="internet" prefix=" [" suffix="]" text-case="capitalize-first"/>\r\n          </if>\r\n        </choose>\r\n        <text macro="edition" prefix=". "/>\r\n      </if>\r\n    </choose>\r\n    <choose>\r\n      <if type="thesis">\r\n        <text variable="genre" prefix=" [" suffix="]"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="date">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <group suffix=";" delimiter=" ">\r\n          <date variable="issued" delimiter=" ">\r\n            <date-part name="year"/>\r\n            <date-part name="month" form="short" strip-periods="true"/>\r\n            <date-part name="day"/>\r\n          </date>\r\n          <text macro="accessed-date"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill legislation">\r\n        <group delimiter=", ">\r\n          <date variable="issued" delimiter=" ">\r\n            <date-part name="month" form="short" strip-periods="true"/>\r\n            <date-part name="day"/>\r\n          </date>\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </else-if>\r\n      <else-if type="report">\r\n        <date variable="issued" delimiter=" ">\r\n          <date-part name="year"/>\r\n          <date-part name="month" form="short" strip-periods="true"/>\r\n        </date>\r\n      </else-if>\r\n      <else>\r\n        <group suffix=".">\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <text macro="accessed-date" prefix=" "/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <text variable="page" prefix=":"/>\r\n      </if>\r\n      <else>\r\n        <text variable="page" prefix=" p. "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="journal-location">\r\n    <choose>\r\n      <if type="article-journal article-magazine" match="any">\r\n        <text variable="volume"/>\r\n        <text variable="issue" prefix="(" suffix=")"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="report-details">\r\n    <choose>\r\n      <if type="report">\r\n        <text variable="number" prefix="Report No.: "/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <citation collapse="citation-number">\r\n    <sort>\r\n      <key variable="citation-number"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter=",">\r\n      <text variable="citation-number"/>\r\n    </layout>\r\n  </citation>\r\n  <bibliography et-al-min="7" et-al-use-first="6" second-field-align="flush">\r\n    <layout>\r\n      <text variable="citation-number" suffix=". "/>\r\n      <group delimiter=". " suffix=". ">\r\n        <text macro="author"/>\r\n        <text macro="title"/>\r\n      </group>\r\n      <group delimiter=" " suffix=". ">\r\n        <text macro="editor"/>\r\n        <text macro="container-title"/>\r\n        <text macro="publisher"/>\r\n        <group>\r\n          <text macro="date"/>\r\n          <text macro="journal-location"/>\r\n          <text macro="pages"/>\r\n        </group>\r\n      </group>\r\n      <text macro="report-details" suffix=". "/>\r\n      <text macro="access"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(12, 0, 'http://www.zotero.org/styles/apa5th', 'American Psychological Association 5th Edition', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>American Psychological Association 5th Edition</title>\r\n    <id>http://www.zotero.org/styles/apa5th</id>\r\n    <link href="http://www.zotero.org/styles/apa5th" rel="self"/>\r\n    <link href="http://rdc.libguides.com/content.php?pid=63487" rel="documentation"/>\r\n    <author>\r\n      <name>Simon Kornblith</name>\r\n      <email>simon@simonster.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Bruce D''Arcus</name>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Curtis M. Humphrey</name>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Richard Karnesky</name>\r\n      <email>karnesky+zotero@gmail.com</email>\r\n      <uri>http://arc.nucapt.northwestern.edu/Richard_Karnesky</uri>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n    </contributor>\r\n    <category field="psychology"/>\r\n    <category field="generic-base"/>\r\n    <category citation-format="author-date"/>\r\n    <updated>2010-01-27T20:08:03+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="capitalize-first" suffix=" "/>\r\n        <names variable="editor" delimiter=", " suffix=", ">\r\n          <name and="symbol" initialize-with=". " delimiter=", "/>\r\n          <label form="short" prefix=" (" text-case="capitalize-first" suffix=")"/>\r\n          <substitute>\r\n            <names variable="translator"/>\r\n          </substitute>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="none">\r\n        <names variable="translator" delimiter=", " prefix=" (" suffix=")">\r\n          <name and="symbol" initialize-with=". " delimiter=", "/>\r\n          <label form="short" prefix=", " text-case="capitalize-first" suffix=""/>\r\n          <substitute>\r\n            <names variable="editor"/>\r\n          </substitute>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="symbol" sort-separator=", " initialize-with=". " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=" (" suffix=".)" text-case="capitalize-first" strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="symbol" delimiter=", " initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" form="short" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" form="short" quotes="true"/>\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if type="thesis">\r\n        <choose>\r\n          <if variable="archive" match="any">\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="archive" suffix="."/>\r\n              <text variable="archive_location" prefix=" (" suffix=")"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <date variable="accessed" suffix=", ">\r\n                <date-part name="month" suffix=" "/>\r\n                <date-part name="day" suffix=", "/>\r\n                <date-part name="year"/>\r\n              </date>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="URL"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if variable="URL">\r\n            <choose>\r\n              <if variable="archive">\r\n                <group>\r\n                  <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n                  <text term="from" suffix=" "/>\r\n                  <text variable="archive" suffix="."/>\r\n                </group>\r\n              </if>\r\n              <else>\r\n                <group>\r\n                  <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n                  <date variable="accessed" suffix=", ">\r\n                    <date-part name="month" suffix=" "/>\r\n                    <date-part name="day" suffix=", "/>\r\n                    <date-part name="year"/>\r\n                  </date>\r\n                  <group>\r\n                    <text term="from" suffix=" "/>\r\n                    <text variable="URL"/>\r\n                  </group>\r\n                </group>\r\n              </else>\r\n            </choose>\r\n          </if>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n        <group prefix=" (" suffix=")">\r\n          <text variable="genre"/>\r\n          <text variable="number" prefix=" No. "/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation manuscript motion_picture report song speech" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="report" match="any">\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="thesis" match="any">\r\n        <group delimiter=", ">\r\n          <text variable="publisher"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <choose>\r\n          <if variable="event" match="none">\r\n            <text variable="genre" suffix=", "/>\r\n          </if>\r\n        </choose>\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <choose>\r\n      <if variable="event">\r\n        <choose>\r\n          <if variable="genre" match="none">\r\n            <text term="presented at" text-case="capitalize-first" suffix=" "/>\r\n            <text variable="event"/>\r\n          </if>\r\n          <else>\r\n            <group delimiter=" ">\r\n              <text variable="genre" text-case="capitalize-first"/>\r\n              <text term="presented at"/>\r\n              <text variable="event"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if variable="issued">\r\n        <group prefix=" (" suffix=").">\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <choose>\r\n            <if type="article-journal bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="none">\r\n              <date variable="issued">\r\n                <date-part prefix=", " name="month"/>\r\n                <date-part prefix=" " name="day"/>\r\n              </date>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text prefix=" (" term="no date" suffix=")." form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued-year">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <group prefix=", " delimiter=", ">\r\n          <group>\r\n            <text variable="volume" font-style="italic"/>\r\n            <text variable="issue" prefix="(" suffix=")"/>\r\n          </group>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <group prefix=" (" suffix=")" delimiter=", ">\r\n          <text macro="edition"/>\r\n          <group>\r\n            <text term="volume" form="short" plural="true" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n            <number variable="number-of-volumes" form="numeric" prefix="1-"/>\r\n          </group>\r\n          <group>\r\n            <text term="volume" form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n            <number variable="volume" form="numeric"/>\r\n          </group>\r\n          <group>\r\n            <label variable="page" form="short" suffix=" "/>\r\n            <text variable="page"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="citation-locator">\r\n    <group>\r\n      <label variable="locator" form="short"/>\r\n      <text variable="locator" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="6" et-al-use-first="1" et-al-subsequent-min="3" et-al-subsequent-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" givenname-disambiguation-rule="primary-name" collapse="year">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <text macro="author-short"/>\r\n        <text macro="issued-year"/>\r\n        <text macro="citation-locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="8" et-al-use-first="7" entry-spacing="0" line-spacing="2">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year" sort="ascending"/>\r\n    </sort>\r\n    <layout>\r\n      <group suffix=".">\r\n        <text macro="author" suffix="."/>\r\n        <text macro="issued" suffix=" "/>\r\n        <group delimiter=". ">\r\n          <text macro="title"/>\r\n          <group>\r\n            <text macro="container-contributors"/>\r\n            <text macro="secondary-contributors"/>\r\n            <group delimiter=", ">\r\n              <text variable="container-title" font-style="italic"/>\r\n              <text variable="collection-title"/>\r\n            </group>\r\n          </group>\r\n        </group>\r\n        <text macro="locators"/>\r\n        <group delimiter=", " prefix=". ">\r\n          <text macro="event"/>\r\n          <text macro="publisher"/>\r\n        </group>\r\n      </group>\r\n      <text macro="access" prefix=". "/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(13, 0, 'http://www.zotero.org/styles/apsa', 'American Political Science Association', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>American Political Science Association</title>\r\n    <id>http://www.zotero.org/styles/apsa</id>\r\n    <link href="http://www.zotero.org/styles/apsa" rel="self"/>\r\n    <author>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n    </contributor>\r\n    <category citation-format="author-date"/>\r\n    <category field="political_science"/>\r\n    <updated>2010-07-26T02:21:30+00:00</updated>\r\n    <summary>The American Political Science Association style.</summary>\r\n    <link href="http://www.ipsonet.org/data/files/APSAStyleManual2006.pdf" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="en-US">\r\n    <date form="text">\r\n      <date-part name="month" suffix=" "/>\r\n      <date-part name="day" suffix=", "/>\r\n      <date-part name="year"/>\r\n    </date>\r\n  </locale>\r\n  <locale xml:lang="nb-NO">\r\n    <date form="text">\r\n      <date-part name="day" suffix=" "/>\r\n      <date-part name="month" suffix=" "/>\r\n      <date-part name="year"/>\r\n    </date>\r\n  </locale>\r\n  <locale xml:lang="nn-NO">\r\n    <date form="text">\r\n      <date-part name="day" suffix=" "/>\r\n      <date-part name="month" suffix=" "/>\r\n      <date-part name="year"/>\r\n    </date>\r\n  </locale>\r\n  <macro name="editor">\r\n    <names variable="editor" delimiter=", ">\r\n      <label form="short" text-case="lowercase" suffix=". " strip-periods="true"/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="." text-case="lowercase" strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", " initialize-with=". " sort-separator=", "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if type="legal_case" match="none">\r\n        <choose>\r\n          <if variable="URL">\r\n            <group delimiter=" ">\r\n              <text variable="URL"/>\r\n              <group prefix="(" suffix=")">\r\n                <date variable="accessed" form="text"/>\r\n              </group>\r\n            </group>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="legal_case">\r\n    <group prefix=" " delimiter=" ">\r\n      <text variable="volume"/>\r\n      <text variable="container-title"/>\r\n      <text variable="page"/>\r\n    </group>\r\n    <text variable="authority" prefix=" (" suffix=")"/>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="thesis" match="none">\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n        <text variable="genre" prefix=". "/>\r\n      </if>\r\n      <else>\r\n        <group delimiter=". ">\r\n          <text variable="genre"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="year-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locator">\r\n    <choose>\r\n      <if locator="page">\r\n        <text variable="locator"/>\r\n      </if>\r\n      <else>\r\n        <group delimiter=" ">\r\n          <label variable="locator" form="short"/>\r\n          <text variable="locator"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" collapse="year">\r\n    <sort>\r\n      <key macro="author-short"/>\r\n      <key macro="year-date"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <group delimiter=" ">\r\n          <text macro="author-short"/>\r\n          <text macro="year-date"/>\r\n        </group>\r\n        <text macro="locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" subsequent-author-substitute="———">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="year-date"/>\r\n      <key variable="title"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <text macro="author" suffix="."/>\r\n      <date variable="issued" prefix=" " suffix=".">\r\n        <date-part name="year"/>\r\n      </date>\r\n      <choose>\r\n        <if type="bill book graphic legal_case legislation manuscript motion_picture report song thesis" match="any">\r\n          <text macro="legal_case"/>\r\n          <group prefix=" " delimiter=" ">\r\n            <text macro="title" suffix="."/>\r\n            <text macro="edition"/>\r\n            <text macro="editor" suffix="."/>\r\n          </group>\r\n          <text prefix=" " suffix="." macro="publisher"/>\r\n        </if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <text macro="title" prefix=" " suffix="."/>\r\n          <group prefix=" " delimiter=" ">\r\n            <text term="in" text-case="capitalize-first"/>\r\n            <text variable="container-title" font-style="italic" suffix=","/>\r\n            <text variable="collection-title" suffix=","/>\r\n            <text macro="editor" suffix="."/>\r\n            <group suffix=".">\r\n              <text macro="publisher"/>\r\n              <group prefix=", " delimiter=" ">\r\n                <label variable="page" form="short" plural="never"/>\r\n                <text variable="page"/>\r\n              </group>\r\n            </group>\r\n          </group>\r\n        </else-if>\r\n        <else>\r\n          <group prefix=" " delimiter=" " suffix=".">\r\n            <text macro="title"/>\r\n            <text macro="editor"/>\r\n          </group>\r\n          <group prefix=" " suffix=".">\r\n            <text variable="container-title" font-style="italic"/>\r\n            <group prefix=" ">\r\n              <text variable="volume"/>\r\n              <text variable="issue" prefix="(" suffix=")"/>\r\n            </group>\r\n            <text variable="page" prefix=": "/>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n      <text prefix=" " macro="access" suffix="."/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(14, 0, 'http://www.zotero.org/styles/american-anthropological-association', 'American Anthropological Association', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="en-US">\r\n  <info>\r\n    <title>American Anthropological Association</title>\r\n    <id>http://www.zotero.org/styles/american-anthropological-association</id>\r\n    <link href="http://www.zotero.org/styles/american-anthropological-association" rel="self"/>\r\n    <author>\r\n      <name>Sebastian Karcher</name>\r\n    </author>\r\n    <contributor>\r\n      <name>Mark Dingemanse</name>\r\n      <email>mark.dingemanse@mpi.nl</email>\r\n    </contributor>\r\n    <category citation-format="author-date"/>\r\n    <category field="anthropology"/>\r\n    <updated>2008-11-11T12:00:00+00:00</updated>\r\n    <summary>Citation style for the American Anthropological Association - Support from the Society for Cultural Anthropology is thankfully acknowledged</summary>\r\n    <link href="http://www.aaanet.org/publications/style_guide.pdf" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="none">\r\n        <!--<group delimiter=". ">\r\n	    <names variable="editor translator" delimiter=", ">\r\n	    <name and="text" delimiter=", "/>\r\n	    <label form="short" prefix=", " text-case="lowercase"/>\r\n	    </names>\r\n	    </group> -->\r\n        <group delimiter=". ">\r\n          <names variable="editor" delimiter=", ">\r\n            <name and="text" delimiter=", "/>\r\n            <label form="short" prefix=", " text-case="lowercase"/>\r\n          </names>\r\n          <names variable="translator" delimiter=", ">\r\n            <name and="text" delimiter=", "/>\r\n            <label form="short" prefix=", " text-case="lowercase"/>\r\n          </names>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <group delimiter=". " prefix=" ">\r\n          <names variable="editor" delimiter=", ">\r\n            <name and="text" delimiter=", "/>\r\n            <label form="short" prefix=", " text-case="lowercase"/>\r\n          </names>\r\n          <names variable="translator" delimiter=", ">\r\n            <name and="text" delimiter=", "/>\r\n            <label form="short" prefix=", " text-case="lowercase"/>\r\n          </names>\r\n        </group>\r\n        <!-- <group prefix="" delimiter=", ">\r\n	     <names variable="editor translator" delimiter=", ">\r\n	     <name and="text" delimiter=", "/>\r\n	     <label form="short" prefix=", " text-case="lowercase"/>\r\n	     </names>\r\n	     </group> -->\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="recipient">\r\n    <choose>\r\n      <if type="personal_communication">\r\n        <choose>\r\n          <if variable="genre">\r\n            <text variable="genre" text-case="capitalize-first"/>\r\n          </if>\r\n          <else>\r\n            <text term="letter" text-case="capitalize-first"/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n    <names variable="recipient" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="contributors">\r\n    <choose>\r\n      <if type="motion_picture" match="none">\r\n        <names variable="author">\r\n          <name and="text" name-as-sort-order="first" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n          <label form="short" prefix=", " text-case="lowercase"/>\r\n          <substitute>\r\n            <names variable="editor"/>\r\n            <names variable="translator"/>\r\n            <text macro="title"/>\r\n          </substitute>\r\n        </names>\r\n        <text macro="recipient"/>\r\n      </if>\r\n      <else>\r\n        <names variable="author">\r\n          <name and="text" name-as-sort-order="first" sort-separator=", " delimiter=", " delimiter-precedes-last="always" suffix=", dir."/>\r\n          <label form="short" prefix=", " text-case="lowercase"/>\r\n          <substitute>\r\n            <text macro="title"/>\r\n          </substitute>\r\n        </names>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="contributors-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="interviewer">\r\n    <names variable="interviewer" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="capitalize-first" suffix=" "/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="archive">\r\n    <group delimiter=". ">\r\n      <text variable="archive_location" text-case="capitalize-first"/>\r\n      <text variable="archive"/>\r\n      <text variable="archive-place"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <group delimiter=", ">\r\n          <text variable="URL"/>\r\n          <group delimiter=" ">\r\n            <text term="accessed"/>\r\n            <date variable="accessed">\r\n              <date-part name="month" form="long"/>\r\n              <date-part name="day" prefix=" "/>\r\n              <date-part name="year" prefix=", "/>\r\n            </date>\r\n          </group>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if variable="title" match="none">\r\n        <choose>\r\n          <if type="personal_communication" match="none">\r\n            <text variable="genre" text-case="capitalize-first"/>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n      <else>\r\n        <group delimiter=", ">\r\n          <text variable="title" text-case="title"/>\r\n          <group>\r\n            <choose>\r\n              <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n                <group>\r\n                  <text term="volume" form="short" text-case="lowercase"/>\r\n                  <number variable="volume" form="numeric"/>\r\n                </group>\r\n              </if>\r\n            </choose>\r\n          </group>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="edition">\r\n            <group delimiter=" ">\r\n              <number variable="edition" form="ordinal"/>\r\n              <text term="edition" strip-periods="true"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text variable="edition" suffix="."/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="volume" prefix=" "/>\r\n        <text variable="issue" prefix="(" suffix=")"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-chapter">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <group delimiter=" ">\r\n          <label variable="page" form="short" text-case="capitalize-first" prefix=" "/>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-article">\r\n    <choose>\r\n      <if type="article-newspaper article-journal article-magazine">\r\n        <text variable="page" prefix=": "/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="point-locators">\r\n    <group>\r\n      <choose>\r\n        <if locator="page" match="none">\r\n          <label variable="locator" form="short" suffix=" "/>\r\n        </if>\r\n      </choose>\r\n      <text variable="locator"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="container-prefix">\r\n    <text term="in" text-case="capitalize-first" font-style="italic"/>\r\n  </macro>\r\n  <macro name="container-title">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text macro="container-prefix" suffix=" "/>\r\n      </if>\r\n    </choose>\r\n    <text variable="container-title" text-case="title"/>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="motion_picture" match="none">\r\n        <group delimiter=": ">\r\n          <choose>\r\n            <if type="thesis" match="none">\r\n              <text variable="publisher-place"/>\r\n            </if>\r\n          </choose>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <group delimiter=". ">\r\n          <text variable="publisher"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="date-reference">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short" text-case="lowercase"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="date-bibliography">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short" text-case="capitalize-first"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="day-month">\r\n    <date variable="issued">\r\n      <date-part name="month"/>\r\n      <date-part name="day" prefix=" "/>\r\n    </date>\r\n  </macro>\r\n  <macro name="collection-title">\r\n    <text variable="collection-title" text-case="title"/>\r\n    <text variable="collection-number" prefix=", "/>\r\n  </macro>\r\n  <macro name="event">\r\n    <group delimiter=" ">\r\n      <text term="presented at" prefix=" "/>\r\n      <text variable="event"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="description">\r\n    <group delimiter=". ">\r\n      <text macro="interviewer"/>\r\n      <text variable="medium" text-case="capitalize-first"/>\r\n    </group>\r\n    <choose>\r\n      <if variable="title" match="none"/>\r\n      <else-if type="thesis manuscript" match="any"/>\r\n      <else>\r\n        <group delimiter=", ">\r\n          <text variable="genre" text-case="capitalize-first"/>\r\n          <choose>\r\n            <if type="report">\r\n              <text variable="number"/>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issue">\r\n    <choose>\r\n      <if type="speech">\r\n        <group delimiter=", ">\r\n          <choose>\r\n            <if variable="genre">\r\n              <text macro="event" prefix=" "/>\r\n            </if>\r\n            <else>\r\n              <text macro="event" prefix=". Paper "/>\r\n            </else>\r\n          </choose>\r\n          <text variable="event-place"/>\r\n          <text macro="day-month"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="article-newspaper article-magazine" match="any">\r\n        <text macro="day-month" prefix=", "/>\r\n      </else-if>\r\n      <else-if type="interview broadcast" match="any">\r\n        <group prefix=". " delimiter=", ">\r\n          <text variable="publisher"/>\r\n          <text macro="day-month"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <group prefix=". " delimiter=", ">\r\n          <choose>\r\n            <if type="thesis manuscript" match="any">\r\n              <text variable="genre" text-case="capitalize-first"/>\r\n            </if>\r\n          </choose>\r\n          <text macro="archive"/>\r\n          <text macro="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true">\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=":">\r\n        <group delimiter=" ">\r\n          <text macro="contributors-short"/>\r\n          <text macro="date-reference"/>\r\n        </group>\r\n        <text macro="point-locators"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography et-al-min="6" et-al-use-first="3" subsequent-author-substitute="" entry-spacing="0">\r\n    <sort>\r\n      <key macro="contributors"/>\r\n      <key variable="issued"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <group display="block">\r\n        <text macro="contributors"/>\r\n      </group>\r\n      <group display="left-margin">\r\n        <text macro="date-bibliography" prefix=" "/>\r\n        <date variable="original-date" prefix="[" suffix="]">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </group>\r\n      <group display="right-inline">\r\n        <group delimiter=". ">\r\n          <text macro="title"/>\r\n          <text macro="description"/>\r\n          <text macro="secondary-contributors"/>\r\n          <text macro="container-title"/>\r\n          <text macro="edition"/>\r\n          <text macro="container-contributors"/>\r\n        </group>\r\n        <text macro="locators-chapter"/>\r\n        <text macro="locators"/>\r\n        <text macro="collection-title" prefix=". "/>\r\n        <text macro="issue"/>\r\n        <text macro="locators-article"/>\r\n        <text macro="access" prefix=". "/>\r\n      </group>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(15, 0, 'http://www.zotero.org/styles/din-1505-2', 'DIN 1505-2 (author-date, German)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="de-DE">\r\n  <info>\r\n    <title>DIN 1505-2 (author-date, German)</title>\r\n    <id>http://www.zotero.org/styles/din-1505-2</id>\r\n    <link href="http://www.zotero.org/styles/din-1505-2" rel="self"/>\r\n    <link href="http://www.bui.haw-hamburg.de/fileadmin/redaktion/diplom/Lorenzen__litverz.pdf" rel="documentation"/>\r\n    <link href="http://bibliothek.fh-potsdam.de/fileadmin/fhp_bib/dokumente/Schulungen/wissenschaftliches_Arbeiten/Zitieren_Lorenzen.pdf" rel="documentation"/>\r\n    <link href="http://www.uni-muenster.de/imperia/md/content/fachbereich_physik/didaktik_physik/materialien/materialschlichting/zitierregeln.pdf" rel="documentation"/>\r\n    <link href="http://forums.zotero.org/discussion/1857" rel="documentation"/>\r\n    <author>\r\n      <name>Sven Rothe</name>\r\n      <email>mmoole@googlemail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </contributor>\r\n    <category field="generic-base"/>\r\n    <category citation-format="author-date"/>\r\n    <updated>2009-12-31T11:11:11+00:00</updated>\r\n    <summary>Style following DIN 1505-2, for other media types on additional standards</summary>\r\n    <!--    This is just a beginning to try to have a DIN 1505 citation style,\r\n            Feel free to send me any comments, suggestions etc...\r\n            todo:\r\n            * basic media types (book, journal article, etc..)\r\n            * more media types (according DINxxx) audio video etc...\r\n            * fine tuning\r\n            * correcting errors\r\n            known bugs, help appreciated\r\n            * Abbreviations (Mitarb.) & (Hrsg. der Reihe) are missing (contributor, seriesEditor labels)\r\n            * "contributor" is not valid as a name variable , nevertheless it works but doesnt validate!\r\n            * Name of Volumes seems not to exist (type book) ("Sachtitel des (Teil.-)Bandes")\r\n            * author etc. first names should not be abbreviated\r\n            * scale of maps seems not to be available as variable\r\n            * reviewed author seems to be not available as variable (newspaper article)\r\n            * thesis type does notoffer a PLACE or FACULTY as variable!\r\n            how to show the place if it is not included in the University title!?!?\r\n            * thesis type: publisher (university), genre (type) dont seem to get through!?\r\n    -->\r\n    <!-- useful things:\r\n      non breaking space: &#160;\r\n      narrow no break space: uni202F / &#8239; - but this is not supported widely!\r\n      em dash: &#8212;\r\n\r\n    -->\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="de">\r\n    <terms>\r\n      <term name="anonymous" form="short">o.&#160;A.</term>\r\n      <term name="no date" form="short">o.&#160;J.</term>\r\n      <term name="collection-editor" form="short">Hrsg.</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="author">\r\n    <names variable="author composer" delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " delimiter=" ; " delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-container">\r\n    <names variable="container-author" delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with=". " delimiter=" ; " delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="editor">\r\n    <names variable="editor" delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with=". " delimiter=" ; " delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n      <!-- needed: Label should appear as suffix to EVERY name...!-->\r\n    </names>\r\n  </macro>\r\n  <macro name="editor-collection">\r\n    <names variable="collection-editor" delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with=". " delimiter=" ; " delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n      <!-- needed: Label should appear as suffix to EVERY name...!-->\r\n    </names>\r\n  </macro>\r\n  <!--  <macro name="contributor">\r\n    <names variable="  " delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with=". " delimiter=" ; "\r\n        delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n    </names>\r\n  </macro>-->\r\n  <macro name="translator">\r\n    <names variable="translator" delimiter=" ; ">\r\n      <name name-as-sort-order="all" sort-separator=", " initialize-with=". " delimiter=" ; " delimiter-precedes-last="always" font-variant="small-caps"/>\r\n      <label form="short" prefix=" (" suffix=")"/>\r\n      <!-- needed: Label should appear as suffix to EVERY name...!-->\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="symbol" delimiter=", " initialize-with=". " delimiter-precedes-last="never" font-variant="small-caps"/>\r\n      <et-al font-variant="normal"/>\r\n      <substitute>\r\n        <names variable="editor" font-variant="small-caps"/>\r\n        <names variable="translator" font-variant="small-caps"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" form="short" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" form="short" quotes="true"/>\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <group>\r\n      <text term="retrieved" suffix=" "/>\r\n      <date variable="accessed">\r\n        <date-part name="year" form="long" suffix="-"/>\r\n        <date-part name="month" form="numeric-leading-zeros" suffix="-"/>\r\n        <date-part name="day" form="numeric-leading-zeros"/>\r\n      </date>\r\n    </group>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="genre">\r\n    <choose>\r\n      <if type="report thesis" match="any">\r\n        <group>\r\n          <text variable="genre"/>\r\n          <!--<text term="number" form="short" suffix=" "/>-->\r\n          <text variable="number" prefix=" Nr. "/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="volumes">\r\n    <group delimiter=" ">\r\n      <text term="volume" form="short" plural="false"/>\r\n      <number variable="volume" form="numeric"/>\r\n      <number variable="number-of-volumes" form="numeric" prefix="v. "/>\r\n    </group>\r\n  </macro>\r\n  <macro name="edition">\r\n    <group>\r\n      <number variable="edition" form="numeric" suffix=". "/>\r\n      <text term="edition" form="short" plural="false"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="pages">\r\n    <choose>\r\n      <if type="chapter paper-conference article-journal" match="any">\r\n        <label variable="page" form="short" suffix="&#160;"/>\r\n        <text variable="page"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!--     "scale" seem to be not accessible...\r\n    <macro name="scale">\r\n        <group>\r\n            <text term="scale"/>\r\n            <text variable="scale"/>\r\n        </group>\r\n    </macro>-->\r\n  <citation et-al-min="3" et-al-use-first="1" et-al-subsequent-min="3" et-al-subsequent-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="false" disambiguate-add-givenname="false" collapse="year">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="issued"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <text macro="author-short"/>\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n        <group>\r\n          <label variable="locator" form="short"/>\r\n          <text variable="locator" prefix=" "/>\r\n        </group>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="9" et-al-use-first="9">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="issued"/>\r\n    </sort>\r\n    <layout>\r\n      <group delimiter=" ; " suffix=":">\r\n        <text macro="author"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation manuscript map map motion_picture report song thesis webpage" match="any">\r\n            <!-- except type="chapter article " etc.... -->\r\n            <text macro="editor"/>\r\n            <text macro="editor-collection"/>\r\n          </if>\r\n        </choose>\r\n        <!-- <text macro="contributor"/> -->\r\n        <text macro="translator"/>\r\n      </group>\r\n      <choose>\r\n        <!-- Tabelle 1 aus litverz.ps -->\r\n        <if type="bill book graphic legal_case legislation map map motion_picture report song" match="any">\r\n          <text prefix=" " macro="title" suffix=""/>\r\n          <text prefix=", " variable="collection-title" font-style="italic"/>\r\n          <!--Reihe-->\r\n          <text prefix=" (" macro="genre" suffix=")"/>\r\n          <text prefix=". " macro="volumes"/>\r\n          <text prefix=". " macro="edition"/>\r\n          <text prefix=". " variable="publisher-place"/>\r\n          <text prefix=" : " variable="publisher"/>\r\n          <date prefix=", " variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <!-- " (1. Gesamttitel mit Zählung)"\r\n                    " (2. Gesamttitel mit Zählung)" -->\r\n          <!--             <text prefix=" &#8211;&#160;" macro="scale"/> -->\r\n          <text prefix=".  —&#160;" variable="note"/>\r\n          <text prefix=" —&#160;ISBN&#160;" variable="ISBN"/>\r\n        </if>\r\n        <!-- Tabelle 3 aus litverz.ps -->\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <text prefix=" " macro="title" suffix="."/>\r\n          <text prefix=". " term="in" text-case="capitalize-all" suffix=": "/>\r\n          <!-- verfahre nach Tabelle 1... -->\r\n          <group delimiter=" ; " suffix=": ">\r\n            <text macro="author-container"/>\r\n            <text macro="editor"/>\r\n            <text macro="editor-collection"/>\r\n          </group>\r\n          <text variable="container-title" font-style="italic"/>\r\n          <text prefix=", " variable="collection-title" font-style="italic"/>\r\n          <!-- Reihe -->\r\n          <text prefix=". " macro="volumes"/>\r\n          <!-- <text prefix=" : " variable="title of volumes"/>  what is this?  -->\r\n          <text prefix=". " macro="edition"/>\r\n          <text prefix=". " variable="publisher-place"/>\r\n          <text prefix=" : " variable="publisher"/>\r\n          <date prefix=", " variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <!-- " (1. Gesamttitel mit Zählung)"\r\n               " (2. Gesamttitel mit Zählung)"    -->\r\n          <text prefix=".  —&#160;" variable="note"/>\r\n          <text prefix=" —&#160;ISBN&#160;" variable="ISBN"/>\r\n          <text prefix=", " macro="pages"/>\r\n        </else-if>\r\n        <!-- Tabelle 5 aus litverz.ps - Hochschulschriften\r\n             (Diplomarbeiten, Dissertationen, Master-A., unverö. Studienarbeiten -->\r\n        <else-if type="thesis" match="any">\r\n          <text prefix=" " macro="title" font-style="italic" suffix=""/>\r\n          <text prefix=". " macro="edition"/>\r\n          <text prefix=". " variable="publisher-place"/>\r\n          <text prefix=", " variable="publisher" form="long"/>\r\n          <!-- <text prefix=", " variable="faculty"/> -->\r\n          <text prefix=", " macro="genre"/>\r\n          <date prefix=", " variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <text prefix=".  —&#160;" variable="note"/>\r\n        </else-if>\r\n        <else-if type="webpage">\r\n          <text prefix=" " macro="title" suffix=". " font-style="italic"/>\r\n          <text prefix="URL " variable="URL"/>\r\n          <text prefix=". - " macro="access"/>\r\n          <text prefix=". —&#160;" variable="container-title"/>\r\n          <text prefix=".  —&#160;" variable="note"/>\r\n        </else-if>\r\n        <!-- Tabelle 2 aus litverz.ps  UND -->\r\n        <!-- Tabelle 4 aus litverz.ps - Schriften von Tagungen, Konferenzen, Symposien, ...-->\r\n        <else-if type="article article-journal article-magazine article-newspaper" match="any">\r\n          <text prefix=" " variable="title"/>\r\n          <!-- " : Zusatz zum Sachtitel"\r\n               ". Angabe des Teils"\r\n               " (Gesamttitelangabe)"  -->\r\n          <group>\r\n            <text prefix=". " term="in" text-case="capitalize-first" suffix=": "/>\r\n            <text macro="editor" suffix=" "/>\r\n            <text variable="container-title" font-style="italic"/>\r\n            <text prefix=", " variable="collection-title" font-style="italic" suffix="."/>\r\n            <!--", unterreihe der zeitschrift/zeitung"  -->\r\n          </group>\r\n          <text prefix=" " macro="volumes"/>\r\n          <text prefix=". " variable="publisher-place"/>\r\n          <text prefix=", " variable="publisher" form="long"/>\r\n          <date prefix=" (" variable="issued" suffix=")">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <text prefix=", Nr.&#160;" variable="issue"/>\r\n          <text prefix=", " macro="pages"/>\r\n          <!--<text prefix=".  &#8212;&#160;" macro="scale"/>-->\r\n          <text prefix=".  —&#160;" variable="note"/>\r\n          <text prefix=" —&#160;ISBN&#160;" variable="ISBN"/>\r\n        </else-if>\r\n        <!-- keiner der oben genannten fälle -->\r\n        <else>\r\n          <group suffix=".">\r\n            <text macro="title" prefix=" "/>\r\n            <text macro="editor" prefix=" "/>\r\n            <text macro="translator" prefix=" "/>\r\n          </group>\r\n          <group prefix=" " suffix=".">\r\n            <text variable="container-title" font-style="italic"/>\r\n            <group prefix=", ">\r\n              <text variable="volume" font-style="italic"/>\r\n              <text variable="issue" prefix="(" suffix=")"/>\r\n            </group>\r\n            <text prefix=", " macro="pages"/>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(16, 0, 'http://www.zotero.org/styles/tah-soz', 'German generic style for social sciences', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" version="1.0" class="in-text" default-locale="de-DE" demote-non-dropping-particle="sort-only">\r\n  <!--\r\n================================================================================\r\n   KOPFTEIL\r\n================================================================================\r\n-->\r\n  <info>\r\n    <title>tah Sozialwissenschaften (German)</title>\r\n    <id>http://www.zotero.org/styles/tah-soz</id>\r\n    <author>\r\n      <name>Till A. Heilmann</name>\r\n      <email>mail@tillheilmann.info</email>\r\n      <uri>http://www.tillheilmann.info</uri>\r\n    </author>\r\n    <link href="http://www.zotero.org/styles/tah-soz" rel="self"/>\r\n    <category citation-format="author-date"/>\r\n    <category field="social_science"/>\r\n    <updated>2011-11-14T00:00:00+01:00</updated>\r\n    <summary>German generic style for social sciences. Citations in text; full bibliography.</summary>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <!--\r\n================================================================================\r\n   DANK AN...\r\n================================================================================\r\n\r\n- Frederik Elwert (Bochum)\r\n-->\r\n  <!--\r\n================================================================================\r\n   TODO\r\n================================================================================\r\n\r\n- alle Makros so gestalten, dass es eine type-unabhängige,\r\n  möglichst einfach gestaltete Ausgabe der Felder gibt (als "fallback")\r\n- spezifizieren für types "report", "thesis"\r\n- wie mit Angabe mehrerer Jahreszahlen (z.B. Jahr der Erstveröffentlichung)\r\n  umgehen?\r\n- Makro "issued"\r\n  * Ausgabe des Datums für alle types nach Makro "access" gestalten?\r\n    (mit Tag und Monat?)\r\n- Makro "secondary-collection-contributors"\r\n  * label für collection-editor wird nicht erkannt, durch term ersetzt\r\n- Titel von type "report" in Anführungszeichen setzen\r\n-->\r\n  <!--\r\n================================================================================\r\n   TERMS\r\n================================================================================\r\n-->\r\n  <locale xml:lang="de">\r\n    <terms>\r\n      <term name="accessed">zugegriffen am</term>\r\n      <term name="ordinal-01">.</term>\r\n      <term name="ordinal-02">.</term>\r\n      <term name="ordinal-03">.</term>\r\n      <term name="ordinal-04">.</term>\r\n      <term name="long-ordinal-01">erste</term>\r\n      <term name="long-ordinal-02">zweite</term>\r\n      <term name="long-ordinal-03">dritte</term>\r\n      <term name="long-ordinal-04">vierte</term>\r\n      <term name="long-ordinal-05">fünfte</term>\r\n      <term name="long-ordinal-06">sechste</term>\r\n      <term name="long-ordinal-07">siebte</term>\r\n      <term name="long-ordinal-08">achte</term>\r\n      <term name="long-ordinal-09">neunte</term>\r\n      <term name="long-ordinal-10">zehnte</term>\r\n    </terms>\r\n  </locale>\r\n  <!--\r\n================================================================================\r\n   MAKROS\r\n================================================================================\r\n-->\r\n  <!--\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n   VERTEILUNG DER NAMEN AUF DIE MAKROS\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n\r\n* "author"\r\n\r\n1. im Makro "contributors" (als Autor des Titels)\r\n-  in jedem Fall\r\n\r\n* "editor"\r\n\r\n1. im Makro "contributors" (als Herausgeber des Titels, vorangestellt)\r\n-  bei Typ "book" und falls Variable "author" fehlt\r\n\r\n2. im Makro "secondary-contributors" (als Herausgeber des Titels, nachgestellt)\r\n-  bei Typ "book" und falls Variable "author" vorhanden\r\n\r\n3. im Makro "container-contributors" (als Herausgeber des Containers, vorangestellt)\r\n-  bei Typ "chapter" (und "article"?) und falls Variable "container-author" fehlt\r\n\r\n4. im Makro "secondary-container-contributors" (als Herausgeber des Containers, nachgestellt)\r\n-  bei Typ "chapter" (und "article"?) und falls Variable "container-author" vorhanden\r\n\r\n* "translator"\r\n\r\n1. im Makro "secondary-contributors" (als Übersetzer des Titels, nachgestellt)\r\n-  in jedem Fall\r\n\r\n* "container-author"\r\n\r\n1. im Makro "container-contributors" (als Autor des Containers, vorangestellt)\r\n-  in jedem Fall\r\n\r\n* "collection-editor"\r\n\r\n1. im Makro "secondary-collection-contributor"\r\n-  in jedem Fall\r\n\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n   UNTERSCHEIDUNG DER NAMEN IN DEN MAKROS\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n\r\n* "contributors"\r\n\r\na) mit Name "author" (in jedem Fall)\r\n   oder\r\nb) mit Name "editor" (bei Typ "book" und falls Variable "author" fehlt)\r\n\r\n* "secondary-contributors"\r\n\r\na) mit Name "translator" (in jedem Fall)\r\n   und/oder\r\nb) mit Name "editor" (bei Typ "book" und falls Variable "author" vorhanden)\r\n\r\n* "container-contributors"\r\n\r\na) mit Name "container-author" (in jedem Fall)\r\n   oder\r\nb) "editor" (bei Typ "chapter" (und "article"?) und falls Variable "container-author" fehlt)\r\n\r\n* "secondary-container-contributors"\r\n\r\na) mit Name "editor" (bei Typ "chapter" (und "article"?) und falls Variable "container-author" vorhanden)\r\n\r\n* "secondary-collection-contributors"\r\n\r\na) mit Name "collection-editor" (in jedem Fall)\r\n-->\r\n  <!-- 1. TITEL-BEITRAGENDE IN LANGFORM -->\r\n  <!-- (für den Eintrag im Literaturverzeichnis) -->\r\n  <macro name="contributors-long">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind diese die 1. Titel-Beitragenden. -->\r\n      <if variable="author">\r\n        <names variable="author">\r\n          <!-- Erster Autor mit vorangestelltem Nachnamen, alle folgenden in\r\n	     gewöhnlicher Ordnung, mehrere Autoren durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Autoren vorhanden sind, sind bei Büchern\r\n	 die Herausgeber die 1. Titel-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="book">\r\n            <names variable="editor">\r\n              <!-- Erster Herausgeber mit vorangestelltem Nachnamen, alle\r\n		 folgenden in gewöhnlicher Ordnung, mehrere Herausgeber\r\n		 durch Komma getrennt, der letztgenannte durch "und"\r\n		 abgetrennt. -->\r\n              <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n              <!-- Bezeichnung geklammert, in Kurzform und nachgestellt\r\n		 ("(Hrsg.)"). -->\r\n              <label prefix=" (" form="short" suffix=".)"/>\r\n              <!-- Fehlen die Herausgeber, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 1. TITEL-BEITRAGENDE IN KURZFORM -->\r\n  <!-- (für die Nachweise) -->\r\n  <macro name="contributors-short">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind diese die 1. Titel-Beitragenden. -->\r\n      <if variable="author">\r\n        <names variable="author">\r\n          <!-- Autoren nur mit Nachnamen geführt, mehrere Autoren durch\r\n	     Schrägstriche getrennt. -->\r\n          <name form="short" name-as-sort-order="first" sort-separator="/" delimiter="/" delimiter-precedes-last="always"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Autoren vorhanden sind, sind bei Büchern\r\n	 die Herausgeber die 1. Titel-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="book">\r\n            <names variable="editor">\r\n              <!-- Herausgeber nur mit Nachnamen geführt, mehrere Herausgeber\r\n		 durch Schrägstriche getrennt. -->\r\n              <name form="short" name-as-sort-order="first" sort-separator="/" delimiter="/" delimiter-precedes-last="always"/>\r\n              <!-- Fehlen die Herausgeber, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. TITEL-BEITRAGENDE -->\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind bei Büchern die Herausgeber\r\n	 und/oder Übersetzer die 2. Titel-Beitragenden. -->\r\n      <if variable="author" type="book" match="all">\r\n        <names variable="editor translator" delimiter=", ">\r\n          <!-- Bezeichnung in Kurzform ("hg. v.", "übers. v."). -->\r\n          <label prefix="" form="verb-short" text-case="lowercase" suffix=". "/>\r\n          <!-- Mehrere Herausgeber und/oder Übersetzer durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n          <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n	     <substitute>\r\n	     <names variable="translator"/>\r\n	     <text variable="title"/>\r\n	     </substitute> -->\r\n        </names>\r\n      </if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else>  -->\r\n    </choose>\r\n  </macro>\r\n  <!-- 1. CONTAINER-BEITRAGENDE -->\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <!-- Wenn Container-Autoren vorhanden sind, sind diese\r\n	 die 1. Container-Beitragenden. -->\r\n      <if variable="container-author">\r\n        <names variable="container-author">\r\n          <!-- Erster Autor mit vorangestelltem Nachnamen, alle folgenden in\r\n	     gewöhnlicher Ordnung, mehrere Autoren durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Container-Autoren vorhanden sind, sind bei Artikeln\r\n	 die Herausgeber die 1. Container-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="chapter">\r\n            <names variable="editor">\r\n              <!-- Erster Herausgeber mit vorangestelltem Nachnamen, alle\r\n		 folgenden in gewöhnlicher Ordnung, mehrere Herausgeber\r\n		 durch Komma getrennt, der letztgenannte durch "und"\r\n		 abgetrennt. -->\r\n              <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n              <!-- Bezeichnung geklammert, in Kurzform und nachgestellt\r\n		 ("(Hrsg.)"). -->\r\n              <label prefix=" (" form="short" suffix=".)"/>\r\n              <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. CONTAINER-BEITRAGENDE -->\r\n  <macro name="secondary-container-contributors">\r\n    <choose>\r\n      <!-- Wenn Container-Autoren vorhanden sind, sind bei Artikeln\r\n	 die Herausgeber die 2. Container-Beitragenden. -->\r\n      <if variable="container-author" type="chapter" match="all">\r\n        <names variable="editor">\r\n          <!-- Bezeichnung in Kurzform ("hg. v."). -->\r\n          <label prefix="" form="verb-short" text-case="lowercase" suffix=". "/>\r\n          <!-- Mehrere Herausgeber durch Komma getrennt, der letztgenannte\r\n	     durch "und" abgetrennt. -->\r\n          <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n          <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n	     <substitute>\r\n	     <names variable="translator"/>\r\n	     <text variable="title"/>\r\n	     </substitute> -->\r\n        </names>\r\n        <!-- Für alle anderen Fälle gilt: ??.\r\n	   <else>\r\n	   </else>  -->\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. REIHEN-BEITRAGENDE -->\r\n  <macro name="secondary-collection-contributors">\r\n    <names variable="collection-editor">\r\n      <!-- Mehrere Reihen-Herausgeber durch Komma getrennt, der letztgenannte\r\n	 durch "und" abgetrennt. -->\r\n      <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n    </names>\r\n  </macro>\r\n  <!-- REIHE -->\r\n  <macro name="collection">\r\n    <!-- Name der Reihe -->\r\n    <text variable="collection-title"/>\r\n    <choose>\r\n      <!-- Reihennummer -->\r\n      <!-- Falls die Reihennummer eine Zahl ist, wird sie\r\n	 ohne vorangestelltes Komma ausgeben, ... -->\r\n      <if is-numeric="collection-number">\r\n        <text prefix="&#160;" variable="collection-number"/>\r\n      </if>\r\n      <!-- ... ansonsten mit. -->\r\n      <else>\r\n        <text prefix=", " variable="collection-number"/>\r\n      </else>\r\n    </choose>\r\n    <choose>\r\n      <if variable="collection-editor">\r\n        <!-- Bezeichnung der Reihenbeitragenden in Kurzform ("hg. v.") -->\r\n        <text prefix=", " term="editor" form="verb-short" text-case="lowercase" suffix="."/>\r\n        <!-- Reihen-Beitragende -->\r\n        <text prefix=" " macro="secondary-collection-contributors"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- AUFLAGE -->\r\n  <macro name="edition">\r\n    <choose>\r\n      <!-- Falls die Auflage eine Zahl ist, wird sie numerisch ausgegeben und\r\n	 mit einem Punkt abgeschlossen (z. B. "1. Aufl."), ... -->\r\n      <if is-numeric="edition">\r\n        <number variable="edition" form="ordinal"/>\r\n        <text prefix="&#160;" term="edition" form="short" suffix="."/>\r\n      </if>\r\n      <!-- ... ansonsten wird sie als Text ausgegeben und ohne Punkt\r\n	 abgeschlossen (z.B. "erste Aufl.").  -->\r\n      <else-if variable="edition">\r\n        <text variable="edition"/>\r\n        <text prefix=" " term="edition" form="short" suffix="."/>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <!-- VERLAGSORT/VERLEGER -->\r\n  <macro name="publisher">\r\n    <text variable="publisher-place"/>\r\n    <choose>\r\n      <!-- Falls ein Verlagsort vorhanden ist, wird der Verlag durch\r\n	 einen Doppelpunkt abgesetzt, ... -->\r\n      <if variable="publisher-place">\r\n        <text prefix=": " variable="publisher"/>\r\n      </if>\r\n      <!-- ... ansonsten wird er einfach ausgegeben. -->\r\n      <else>\r\n        <text variable="publisher"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- URL (und Datum des letzten Zugriffs) -->\r\n  <macro name="access">\r\n    <text variable="URL"/>\r\n    <group prefix=" (" suffix=")" delimiter=" ">\r\n      <text term="accessed" text-case="lowercase"/>\r\n      <date variable="accessed">\r\n        <date-part name="day" form="numeric" suffix="."/>\r\n        <date-part name="month" form="numeric" suffix="."/>\r\n        <date-part name="year"/>\r\n      </date>\r\n    </group>\r\n  </macro>\r\n  <!-- DATUM -->\r\n  <macro name="date">\r\n    <date variable="issued">\r\n      <date-part name="year"/>\r\n    </date>\r\n  </macro>\r\n  <!-- TITEL -->\r\n  <macro name="title">\r\n    <group delimiter=", ">\r\n      <choose>\r\n        <!-- Buchtitel werden ohne weitere Auszeichnung, ... -->\r\n        <if type="book">\r\n          <text variable="title" form="long"/>\r\n        </if>\r\n        <!-- ... alle anderen Titel in Anführungszeichen ausgegeben. -->\r\n        <else>\r\n          <text variable="title" form="long" quotes="true"/>\r\n        </else>\r\n      </choose>\r\n      <!-- 2. Titel-Beitragende -->\r\n      <text macro="secondary-contributors"/>\r\n    </group>\r\n  </macro>\r\n  <!-- CONTAINER (Sammelband oder Zeitschrift ...) -->\r\n  <macro name="container">\r\n    <choose>\r\n      <!-- Für Beiträge in Sammelbänden gilt: -->\r\n      <if type="chapter">\r\n        <choose>\r\n          <!-- Falls 1. Container-Beitragende vorhanden sind,\r\n	     werden sie mit vorangestelltem "in: " ausgegeben -->\r\n          <if variable="container-author editor" match="any">\r\n            <text term="in" suffix=": "/>\r\n          </if>\r\n        </choose>\r\n        <!-- 1. Container-Beitragende -->\r\n        <text macro="container-contributors" suffix=": "/>\r\n        <!-- Container-Titel -->\r\n        <text variable="container-title"/>\r\n        <!-- 2. Container-Beitragende -->\r\n        <text prefix=", " macro="secondary-container-contributors"/>\r\n      </if>\r\n      <!-- Für Artikel gilt: -->\r\n      <else-if type="article-journal article-magazine article-newspaper">\r\n        <!-- Container-Titel -->\r\n        <text variable="container-title" font-style="italic" suffix=" "/>\r\n      </else-if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else> -->\r\n    </choose>\r\n  </macro>\r\n  <!-- VERÖFFENTLICHUNG (Band, Reihe, Auflage, Verlag, Ort, Datum ...) -->\r\n  <macro name="issued">\r\n    <choose>\r\n      <!-- Für Bücher und Beiträge in Sammelbänden gilt: -->\r\n      <if type="book chapter" match="any">\r\n        <!--  Band -->\r\n        <choose>\r\n          <if variable="volume">\r\n            <text prefix=", " term="volume" form="short" suffix=". "/>\r\n            <text variable="volume"/>\r\n          </if>\r\n        </choose>\r\n        <!-- Reihe -->\r\n        <text prefix=", " macro="collection"/>\r\n        <!-- Auflage -->\r\n        <text prefix=", " macro="edition"/>\r\n        <!-- Verlagsort/Verleger -->\r\n        <text prefix=", " macro="publisher"/>\r\n      </if>\r\n      <!-- Für Artikel gilt: -->\r\n      <else-if type="article-journal article-magazine article-newspaper">\r\n        <choose>\r\n          <if variable="volume">\r\n            <group>\r\n              <choose>\r\n                <if variable="issue">\r\n                  <text variable="volume" suffix="/"/>\r\n                </if>\r\n                <else>\r\n                  <text variable="volume"/>\r\n                </else>\r\n              </choose>\r\n              <number variable="issue"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <number prefix="" variable="issue" suffix=""/>\r\n          </else>\r\n        </choose>\r\n      </else-if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else> -->\r\n    </choose>\r\n  </macro>\r\n  <!-- SEITENZAHLEN -->\r\n  <macro name="pages">\r\n    <choose>\r\n      <!-- Seitenzahlen werden nur bei Beiträgen in Sammelbänden und\r\n	 Artikeln ausgegeben - nicht bei Büchern o.a., wo damit\r\n	 der Gesamtumfang gemeint ist. -->\r\n      <if type="article-journal article-magazine article-newspaper chapter" match="any">\r\n        <label variable="page" form="short" suffix=".&#160;"/>\r\n        <text variable="page"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- FUNDSTELLE (bei Nachweisen) -->\r\n  <macro name="citation-locator">\r\n    <!-- Angabe der Seiten o.ä. ohne Label-->\r\n    <text variable="locator"/>\r\n  </macro>\r\n  <!--\r\n================================================================================\r\n   NACHWEISE\r\n================================================================================\r\n-->\r\n  <citation et-al-min="4" et-al-use-first="1" et-al-subsequent-min="4" et-al-subsequent-use-first="1" disambiguate-add-names="true" disambiguate-add-givenname="true" disambiguate-add-year-suffix="true" collapse="year-suffix-ranged" year-suffix-delimiter=", ">\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <choose>\r\n        <!-- "Ebd." (bei unmittelbar aufeinanderfolgenden Nachweisen) ... -->\r\n        <!-- ... mit Angabe der Fundstelle -->\r\n        <if position="ibid-with-locator">\r\n          <text term="ibid" text-case="lowercase"/>\r\n          <text prefix=": " macro="citation-locator"/>\r\n        </if>\r\n        <!-- ... ohne Angabe einer Fundstelle -->\r\n        <else-if position="ibid">\r\n          <text term="ibid" text-case="lowercase"/>\r\n        </else-if>\r\n        <!-- vollständiger Nachweis -->\r\n        <else>\r\n          <text macro="contributors-short" suffix=" "/>\r\n          <text macro="date"/>\r\n          <text prefix=": " macro="citation-locator"/>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </citation>\r\n  <!--\r\n================================================================================\r\n   LITERATURVERZEICHNIS\r\n================================================================================\r\n-->\r\n  <bibliography et-al-min="4" et-al-use-first="1" hanging-indent="true" entry-spacing="0" subsequent-author-substitute="---">\r\n    <sort>\r\n      <key macro="contributors-long" names-min="3" names-use-first="3"/>\r\n      <key macro="date"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <text macro="contributors-long"/>\r\n      <text prefix=" (" macro="date" suffix="): "/>\r\n      <text macro="title"/>\r\n      <text prefix=", " macro="container"/>\r\n      <text macro="issued"/>\r\n      <text prefix=", " macro="pages"/>\r\n      <text prefix=", " macro="access"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(17, 0, 'http://www.zotero.org/styles/kolner-zeitschrift-fur-soziologie-und-sozialpsychologie', 'Kölner Zeitschrift für Soziologie und Sozialpsychologie (KZfSS) (German)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" default-locale="de-DE">\r\n  <info>\r\n    <title>Kölner Zeitschrift für Soziologie und Sozialpsychologie (KZfSS) (German)</title>\r\n    <id>http://www.zotero.org/styles/kolner-zeitschrift-fur-soziologie-und-sozialpsychologie</id>\r\n    <link href="http://www.zotero.org/styles/kolner-zeitschrift-fur-soziologie-und-sozialpsychologie" rel="self"/>\r\n    <author>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Jochen Kleres</name>\r\n      <uri>http://www.zotero.org/gitty_k</uri>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Sebastian Karcher</name>\r\n    </contributor>\r\n    <category citation-format="author-date"/>\r\n    <category field="sociology"/>\r\n    <issn>0023-2653</issn>\r\n    <issn>1861-891X</issn>\r\n    <updated>2009-10-05T16:32:11+00:00</updated>\r\n    <summary>The KZfSS style</summary>\r\n    <link href="http://www.uni-koeln.de/kzfss/konventionen/kskonms.htm" rel="documentation"/>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <locale xml:lang="de">\r\n    <terms>\r\n      <term name="et-al">et al.</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="editor">\r\n    <names variable="editor">\r\n      <label form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="series-editor">\r\n    <names variable="original-author">\r\n      <label form="short" text-case="capitalize-first" suffix=". " strip-periods="true"/>\r\n      <name and="text" delimiter=", "/>\r\n    </names>\r\n  </macro>\r\n  <macro name="anon">\r\n    <text term="anonymous" form="short" text-case="capitalize-first" strip-periods="true"/>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name and="text" name-as-sort-order="first" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="." text-case="capitalize-first" strip-periods="true"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="anon"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="anon"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <text variable="URL"/>\r\n        <group prefix=" (" suffix=")">\r\n          <text term="accessed" text-case="capitalize-first" suffix=" "/>\r\n          <date variable="accessed">\r\n            <date-part name="month" suffix=" "/>\r\n            <date-part name="day" suffix=", "/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="thesis">\r\n        <text variable="title"/>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="year-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="day-month">\r\n    <date variable="issued">\r\n      <date-part name="month"/>\r\n      <date-part name="day" prefix=" "/>\r\n    </date>\r\n  </macro>\r\n  <macro name="pages">\r\n    <text variable="page"/>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="3" et-al-use-first="1" et-al-subsequent-min="3" et-al-subsequent-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" collapse="year">\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=":">\r\n        <group delimiter=" ">\r\n          <text macro="author-short"/>\r\n          <text macro="year-date"/>\r\n        </group>\r\n        <text variable="locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="6" et-al-use-first="1" entry-spacing="0" line-spacing="1">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key variable="title"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <group delimiter=" ">\r\n        <text macro="author" suffix="."/>\r\n        <text macro="year-date" suffix="."/>\r\n      </group>\r\n      <choose>\r\n        <if type="article-newspaper article-magazine" match="any">\r\n          <group delimiter=" ">\r\n            <text macro="title" prefix=" " suffix="."/>\r\n          </group>\r\n          <group prefix=" " delimiter=", ">\r\n            <text variable="container-title" font-style="italic"/>\r\n            <text macro="day-month"/>\r\n            <text variable="edition"/>\r\n            <text variable="page"/>\r\n          </group>\r\n        </if>\r\n        <else-if type="thesis">\r\n          <text macro="title" prefix=" " suffix="." quotes="true"/>\r\n          <group prefix=" " delimiter=", ">\r\n            <text macro="edition"/>\r\n            <text macro="editor" suffix="."/>\r\n            <text variable="genre"/>\r\n            <text macro="publisher"/>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n          <group delimiter=" ">\r\n            <text macro="title" prefix=" " suffix="."/>\r\n            <text macro="edition"/>\r\n            <text macro="editor" suffix="."/>\r\n            <text macro="publisher"/>\r\n          </group>\r\n        </else-if>\r\n        <else-if type="chapter paper-conference" match="any">\r\n          <group delimiter=" ">\r\n            <text macro="title" prefix=" " suffix="."/>\r\n            <group delimiter=", " suffix=".">\r\n              <group delimiter=" ">\r\n                <text term="in" text-case="capitalize-first"/>\r\n                <text variable="container-title" font-style="italic"/>\r\n              </group>\r\n              <text variable="volume" prefix="vol. "/>\r\n              <text variable="collection-title" font-style="italic"/>\r\n              <text macro="editor"/>\r\n              <text macro="pages"/>\r\n            </group>\r\n            <text macro="publisher"/>\r\n          </group>\r\n        </else-if>\r\n        <else>\r\n          <group suffix=".">\r\n            <text macro="title" prefix=" "/>\r\n            <text macro="editor" prefix=" "/>\r\n          </group>\r\n          <group prefix=" " suffix="." delimiter=" ">\r\n            <text variable="container-title" font-style="italic"/>\r\n            <group delimiter=": ">\r\n              <text variable="volume"/>\r\n              <text variable="page"/>\r\n            </group>\r\n          </group>\r\n        </else>\r\n      </choose>\r\n      <text prefix=" " macro="access" suffix="."/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(18, 0, 'http://www.zotero.org/styles/political-studies', 'Political Studies', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="sort-only" page-range-format="minimal" default-locale="en-GB">\r\n  <info>\r\n    <title>Political Studies</title>\r\n    <id>http://www.zotero.org/styles/political-studies</id>\r\n    <link href="http://www.zotero.org/styles/political-studies" rel="self"/>\r\n    <link href="http://www.politicalstudies.org/styleguide.asp" rel="documentation"/>\r\n    <author>\r\n      <name>Sebastian Karcher</name>\r\n    </author>\r\n    <contributor>\r\n      <name>Bruce D''Arcus</name>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Curtis M. Humphrey</name>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Richard Karnesky</name>\r\n      <email>karnesky+zotero@gmail.com</email>\r\n      <uri>http://arc.nucapt.northwestern.edu/Richard_Karnesky</uri>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Simon Kornblith</name>\r\n      <email>simon@simonster.com</email>\r\n    </contributor>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n    <category field="political_science"/>\r\n    <category citation-format="author-date"/>\r\n    <issn>1467-9248</issn>\r\n    <updated>2010-01-27T20:08:03+00:00</updated>\r\n  </info>\r\n  <locale xml:lang="en">\r\n    <style-options punctuation-in-quote="false"/>\r\n    <terms>\r\n      <term name="translator" form="short">\r\n        <single>trans.</single>\r\n        <multiple>trans.</multiple>\r\n      </term>\r\n      <term name="open-quote">‘</term>\r\n      <term name="close-quote">’</term>\r\n      <term name="open-inner-quote">“</term>\r\n      <term name="close-inner-quote">”</term>\r\n    </terms>\r\n  </locale>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" text-case="lowercase" suffix=" "/>\r\n        <names variable="editor translator" delimiter=", " suffix=", ">\r\n          <name and="text" initialize-with=". " delimiter=", " delimiter-precedes-last="never"/>\r\n          <label form="short" prefix=" (" text-case="lowercase" suffix=".)" strip-periods="true"/>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="none">\r\n        <names variable="editor translator" delimiter=", " prefix=" (" suffix=")">\r\n          <name and="text" initialize-with=". " delimiter=", " delimiter-precedes-last="never"/>\r\n          <label form="short" prefix=", " text-case="lowercase" suffix="." strip-periods="true"/>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="text" sort-separator=", " initialize-with=". " delimiter=", " delimiter-precedes-last="never"/>\r\n      <label form="short" prefix=" (" suffix=")" text-case="lowercase"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", " initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" form="short" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title"/>\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if type="thesis">\r\n        <choose>\r\n          <if variable="archive" match="any">\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="archive" suffix="."/>\r\n              <text variable="archive_location" prefix=" (" suffix=")"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="URL"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n      <else>\r\n        <choose>\r\n          <if type="webpage">\r\n            <group>\r\n              <text value="Available from:" suffix=" "/>\r\n              <text variable="URL"/>\r\n            </group>\r\n            <group prefix=" [" suffix="]">\r\n              <text term="accessed" text-case="capitalize-first"/>\r\n              <date variable="accessed" suffix=" ">\r\n                <date-part name="day" suffix=" "/>\r\n                <date-part name="month" form="long" suffix=" "/>\r\n                <date-part name="year"/>\r\n              </date>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <group>\r\n              <text term="retrieved" text-case="capitalize-first" suffix=" "/>\r\n              <text term="from" suffix=" "/>\r\n              <text variable="URL"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="report" match="any">\r\n        <group suffix=". ">\r\n          <text variable="title" font-style="italic"/>\r\n          <text macro="title-online" prefix=" "/>\r\n          <group prefix=" (" suffix=")">\r\n            <text variable="genre"/>\r\n            <text variable="number" prefix=" No. "/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n      <else-if type="webpage">\r\n        <group suffix=". ">\r\n          <text variable="title"/>\r\n          <text macro="title-online" prefix=" "/>\r\n        </group>\r\n      </else-if>\r\n      <else-if type="bill book graphic legal_case legislation manuscript motion_picture report song speech thesis" match="any">\r\n        <group delimiter=", " suffix=". ">\r\n          <group>\r\n            <text variable="title" font-style="italic"/>\r\n            <text macro="title-online" prefix=" "/>\r\n          </group>\r\n          <text macro="edition"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <group suffix=", ">\r\n          <text variable="title" quotes="true"/>\r\n          <text macro="title-online" prefix=" "/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-online">\r\n    <choose>\r\n      <if variable="URL">\r\n        <text term="online" prefix="[" suffix="]"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="report" match="any">\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="thesis">\r\n        <group delimiter=", ">\r\n          <text variable="genre"/>\r\n          <text variable="publisher"/>\r\n          <text variable="publisher-place"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <choose>\r\n          <if variable="event" type="webpage" match="none">\r\n            <text variable="genre" suffix=", "/>\r\n          </if>\r\n        </choose>\r\n        <group delimiter=": ">\r\n          <group>\r\n            <text variable="publisher-place"/>\r\n            <choose>\r\n              <if variable="event">\r\n                <date variable="issued" prefix=", ">\r\n                  <date-part name="day"/>\r\n                  <date-part name="month" form="long" prefix=" "/>\r\n                </date>\r\n              </if>\r\n            </choose>\r\n          </group>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <choose>\r\n      <if variable="event">\r\n        <choose>\r\n          <if variable="genre" match="none">\r\n            <text term="presented at" text-case="capitalize-first" suffix=" "/>\r\n            <text variable="event"/>\r\n          </if>\r\n          <else>\r\n            <group delimiter=" ">\r\n              <text variable="genre" text-case="capitalize-first"/>\r\n              <text term="presented at"/>\r\n              <text variable="event"/>\r\n            </group>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container">\r\n    <choose>\r\n      <if type="chapter">\r\n        <text variable="container-title" font-style="italic" suffix=". "/>\r\n      </if>\r\n      <else-if type="webpage">\r\n        <text variable="container-title"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="container-title" font-style="italic"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if variable="issued">\r\n        <group prefix=" (" suffix=")">\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n          <choose>\r\n            <if type="article-journal bill book chapter graphic legal_case legislation motion_picture paper-conference report song speech" match="none">\r\n              <date variable="issued">\r\n                <date-part prefix=", " name="month"/>\r\n                <date-part prefix=" " name="day"/>\r\n              </date>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text prefix=" (" term="no date" suffix=")." form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="issued-year">\r\n    <choose>\r\n      <if variable="issued">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else>\r\n        <text term="no date" form="short" strip-periods="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="long"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="any">\r\n        <group prefix=", ">\r\n          <text variable="volume" font-style="italic"/>\r\n          <text variable="issue" prefix="(" suffix=")"/>\r\n        </group>\r\n        <text variable="page" prefix=", "/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages">\r\n    <choose>\r\n      <if type="article-journal article-magazine article-newspaper" match="none">\r\n        <group delimiter=" ">\r\n          <label variable="page" form="short"/>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="citation-locator">\r\n    <group>\r\n      <label variable="locator" form="short"/>\r\n      <text variable="locator" prefix=" "/>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="6" et-al-use-first="1" et-al-subsequent-min="3" et-al-subsequent-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" collapse="year">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <text macro="author-short"/>\r\n        <text macro="issued-year"/>\r\n        <text macro="citation-locator"/>\r\n      </group>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="8" et-al-use-first="7" entry-spacing="0" line-spacing="2">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="issued-year" sort="ascending"/>\r\n    </sort>\r\n    <layout>\r\n      <group suffix=".">\r\n        <text macro="author"/>\r\n        <text macro="issued" suffix=" "/>\r\n        <text macro="title"/>\r\n        <group>\r\n          <text macro="container-contributors"/>\r\n          <text macro="secondary-contributors"/>\r\n          <text macro="container"/>\r\n        </group>\r\n        <text macro="locators"/>\r\n        <group delimiter=", ">\r\n          <text macro="event"/>\r\n          <text macro="publisher"/>\r\n          <text macro="pages"/>\r\n        </group>\r\n      </group>\r\n      <text macro="access" prefix=". "/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
INSERT INTO `tx_extbibsonomycsl_domain_model_citationstylesheet` (`uid`, `pid`, `id`, `title`, `xml_source`, `tstamp`, `crdate`, `cruser_id`, `deleted`, `hidden`, `starttime`, `endtime`, `t3ver_oid`, `t3ver_id`, `t3ver_wsid`, `t3ver_label`, `t3ver_state`, `t3ver_stage`, `t3ver_count`, `t3ver_tstamp`, `t3ver_move_id`, `t3_origuid`, `sys_language_uid`, `l10n_parent`, `l10n_diffsource`) VALUES
(19, 0, 'http://www.zotero.org/styles/tah-gkw', 'tah Geistes- und Kulturwissenschaften (German)', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" version="1.0" class="note" default-locale="de-DE" demote-non-dropping-particle="sort-only">\r\n  <!--\r\n================================================================================\r\n   KOPFTEIL\r\n================================================================================\r\n-->\r\n  <info>\r\n    <title>tah Geistes- und Kulturwissenschaften (German)</title>\r\n    <id>http://www.zotero.org/styles/tah-gkw</id>\r\n    <author>\r\n      <name>Till A. Heilmann</name>\r\n      <email>mail@tillheilmann.info</email>\r\n      <uri>http://www.tillheilmann.info</uri>\r\n    </author>\r\n    <link href="http://www.zotero.org/styles/tah-gkw" rel="self"/>\r\n    <category citation-format="note"/>\r\n    <category field="humanities"/>\r\n    <updated>2011-11-14T00:00:00+01:00</updated>\r\n    <summary>German generic-base style for humanities. Citations in notes; full bibliography.</summary>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <!--\r\n================================================================================\r\n   TODO\r\n================================================================================\r\n\r\n- alle Makros so gestalten, dass es eine type-unabhängige,\r\n  möglichst einfach gestaltete Ausgabe der Felder als "fallback" gibt\r\n- spezifizieren für types "report", "article-newspaper", "thesis"\r\n  (der generelle type ist "document")\r\n- wie mit Angabe mehrerer Jahreszahlen (z.B. Jahr der Erstveröffentlichung)\r\n  umgehen?\r\n- Makro "issued"\r\n  * Ausgabe des Datums für alle types nach Makro "access" gestalten?\r\n    (mit Tag und Monat?)\r\n- Makro "secondary-collection-contributors" bzw. "collection"\r\n  * label für collection-editor wird nicht erkannt, durch term ersetzt\r\n- Makro "collection"\r\n  * Variable "collection-number" kann nicht mit is-numeric geprüft werden,\r\n    deshalb keine gesonderte Ausgabe von Reihennummern ohne vorangestelltes\r\n    Komma möglich (z.B. "stw 1677", statt "stw, 1677")\r\n- Titel von type "report" in Anführungszeichen setzen\r\n- Komma als Delimiter-Zeichen hinter das Ausführungszeichen des Titels\r\n  (https://www.zotero.org/trac/ticket/989)\r\n-->\r\n  <!--\r\n================================================================================\r\n   TERMS\r\n================================================================================\r\n-->\r\n  <locale xml:lang="de">\r\n    <terms>\r\n      <term name="accessed">zugegriffen am</term>\r\n      <term name="ordinal-01">.</term>\r\n      <term name="ordinal-02">.</term>\r\n      <term name="ordinal-03">.</term>\r\n      <term name="ordinal-04">.</term>\r\n      <term name="long-ordinal-01">erste</term>\r\n      <term name="long-ordinal-02">zweite</term>\r\n      <term name="long-ordinal-03">dritte</term>\r\n      <term name="long-ordinal-04">vierte</term>\r\n      <term name="long-ordinal-05">fünfte</term>\r\n      <term name="long-ordinal-06">sechste</term>\r\n      <term name="long-ordinal-07">siebte</term>\r\n      <term name="long-ordinal-08">achte</term>\r\n      <term name="long-ordinal-09">neunte</term>\r\n      <term name="long-ordinal-10">zehnte</term>\r\n    </terms>\r\n  </locale>\r\n  <!--\r\n================================================================================\r\n   MAKROS\r\n================================================================================\r\n-->\r\n  <!--\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n   VERTEILUNG DER NAMEN AUF DIE MAKROS\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n\r\n* "author"\r\n\r\n1. im Makro "contributors" (als Autor des Titels)\r\n-  in jedem Fall\r\n\r\n* "editor"\r\n\r\n1. im Makro "contributors" (als Herausgeber des Titels, vorangestellt)\r\n-  bei Typ "book" und falls Variable "author" fehlt\r\n\r\n2. im Makro "secondary-contributors" (als Herausgeber des Titels, nachgestellt)\r\n-  bei Typ "book" und falls Variable "author" vorhanden\r\n\r\n3. im Makro "container-contributors" (als Herausgeber des Containers, vorangestellt)\r\n-  bei Typ "chapter" (und "article"?) und falls Variable "container-author" fehlt\r\n\r\n4. im Makro "secondary-container-contributors" (als Herausgeber des Containers, nachgestellt)\r\n-  bei Typ "chapter" (und "article"?) und falls Variable "container-author" vorhanden\r\n\r\n* "translator"\r\n\r\n1. im Makro "secondary-contributors" (als Übersetzer des Titels, nachgestellt)\r\n-  in jedem Fall\r\n\r\n* "container-author"\r\n\r\n1. im Makro "container-contributors" (als Autor des Containers, vorangestellt)\r\n-  in jedem Fall\r\n\r\n* "collection-editor"\r\n\r\n1. im Makro "secondary-collection-contributor"\r\n-  in jedem Fall\r\n\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n   UNTERSCHEIDUNG DER NAMEN IN DEN MAKROS\r\n::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::\r\n\r\n* "contributors"\r\n\r\na) mit Name "author" (in jedem Fall)\r\n   oder\r\nb) mit Name "editor" (bei Typ "book" und falls Variable "author" fehlt)\r\n\r\n* "secondary-contributors"\r\n\r\na) mit Name "translator" (in jedem Fall)\r\n   und/oder\r\nb) mit Name "editor" (bei Typ "book" und falls Variable "author" vorhanden)\r\n\r\n* "container-contributors"\r\n\r\na) mit Name "container-author" (in jedem Fall)\r\n   oder\r\nb) "editor" (bei Typ "chapter" (und "article"?) und falls Variable "container-author" fehlt)\r\n\r\n* "secondary-container-contributors"\r\n\r\na) mit Name "editor" (bei Typ "chapter" (und "article"?) und falls Variable "container-author" vorhanden)\r\n\r\n* "secondary-collection-contributors"\r\n\r\na) mit Name "collection-editor" (in jedem Fall)\r\n-->\r\n  <!-- 1. TITEL-BEITRAGENDE IN LANGFORM -->\r\n  <!-- (für die erste Nennung in den Nachweisen und den Eintrag\r\n     im Literaturverzeichnis) -->\r\n  <macro name="contributors-long">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind diese die 1. Titel-Beitragenden. -->\r\n      <if variable="author">\r\n        <names variable="author">\r\n          <!-- Erster Autor mit vorangestelltem Nachnamen, alle folgenden in\r\n	     gewöhnlicher Ordnung, mehrere Autoren durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Autoren vorhanden sind, sind bei Büchern\r\n	 die Herausgeber die 1. Titel-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="book">\r\n            <names variable="editor">\r\n              <!-- Erster Herausgeber mit vorangestelltem Nachnamen, alle\r\n		 folgenden in gewöhnlicher Ordnung, mehrere Herausgeber\r\n		 durch Komma getrennt, der letztgenannte durch "und"\r\n		 abgetrennt. -->\r\n              <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n              <!-- Bezeichnung geklammert, in Kurzform und nachgestellt\r\n		 ("(Hrsg.)"). -->\r\n              <label prefix=" (" form="short" suffix=".)"/>\r\n              <!-- Fehlen die Herausgeber, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 1. TITEL-BEITRAGENDE IN KURZFORM -->\r\n  <!-- (für die zweite und alle folgenden Nennungen in den Nachweisen) -->\r\n  <macro name="contributors-short">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind diese die 1. Titel-Beitragenden. -->\r\n      <if variable="author">\r\n        <names variable="author">\r\n          <!-- Autoren nur mit Nachnamen geführt, mehrere Autoren durch\r\n	     Schrägstriche getrennt. -->\r\n          <name form="short" name-as-sort-order="first" sort-separator="/" delimiter="/" delimiter-precedes-last="always"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Autoren vorhanden sind, sind bei Büchern\r\n	 die Herausgeber die 1. Titel-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="book">\r\n            <names variable="editor">\r\n              <!-- Herausgeber nur mit Nachnamen geführt, mehrere Herausgeber\r\n		 durch Schrägstriche getrennt. -->\r\n              <name form="short" name-as-sort-order="first" sort-separator="/" delimiter="/" delimiter-precedes-last="always"/>\r\n              <!-- Bezeichnung geklammert, in Kurzform und nachgestellt\r\n		 ("(Hrsg.)"). -->\r\n              <label prefix=" (" form="short" suffix=".)"/>\r\n              <!-- Fehlen die Herausgeber, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. TITEL-BEITRAGENDE -->\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <!-- Wenn Autoren vorhanden sind, sind bei Büchern die Herausgeber\r\n	 und/oder Übersetzer die 2. Titel-Beitragenden. -->\r\n      <if variable="author" type="book" match="all">\r\n        <names variable="editor translator" delimiter=", ">\r\n          <!-- Bezeichnung in Kurzform ("hg. v.", "übers. v."). -->\r\n          <label prefix="" form="verb-short" text-case="lowercase" suffix=" "/>\r\n          <!-- Mehrere Herausgeber und/oder Übersetzer durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n          <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n	     <substitute>\r\n	     <names variable="translator"/>\r\n	     <text variable="title"/>\r\n	     </substitute> -->\r\n        </names>\r\n      </if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else>  -->\r\n    </choose>\r\n  </macro>\r\n  <!-- 1. CONTAINER-BEITRAGENDE -->\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <!-- Wenn Container-Autoren vorhanden sind, sind diese\r\n	 die 1. Container-Beitragenden. -->\r\n      <if variable="container-author">\r\n        <names variable="container-author">\r\n          <!-- Erster Autor mit vorangestelltem Nachnamen, alle folgenden in\r\n	     gewöhnlicher Ordnung, mehrere Autoren durch Komma getrennt,\r\n	     der letztgenannte durch "und" abgetrennt. -->\r\n          <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n        </names>\r\n      </if>\r\n      <!-- Wenn keine Container-Autoren vorhanden sind, sind bei Artikeln\r\n	 die Herausgeber die 1. Container-Beitragenden. -->\r\n      <else>\r\n        <choose>\r\n          <if type="chapter">\r\n            <names variable="editor">\r\n              <!-- Erster Herausgeber mit vorangestelltem Nachnamen, alle\r\n		 folgenden in gewöhnlicher Ordnung, mehrere Herausgeber\r\n		 durch Komma getrennt, der letztgenannte durch "und"\r\n		 abgetrennt. -->\r\n              <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n              <!-- Bezeichnung geklammert, in Kurzform und nachgestellt\r\n		 ("(Hrsg.)"). -->\r\n              <label prefix=" (" form="short" suffix=".)"/>\r\n              <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n		 <substitute>\r\n		 <names variable="translator"/>\r\n		 <text variable="title"/>\r\n		 </substitute> -->\r\n            </names>\r\n          </if>\r\n          <!-- Für alle anderen Fälle gilt: ??.\r\n	     <else>\r\n	     </else>  -->\r\n        </choose>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. CONTAINER-BEITRAGENDE -->\r\n  <macro name="secondary-container-contributors">\r\n    <choose>\r\n      <!-- Wenn Container-Autoren vorhanden sind, sind bei Artikeln\r\n	 die Herausgeber die 2. Container-Beitragenden. -->\r\n      <if variable="container-author" type="chapter" match="all">\r\n        <names variable="editor">\r\n          <!-- Bezeichnung in Kurzform ("hg. v."). -->\r\n          <label prefix="" form="verb-short" text-case="lowercase" suffix=" "/>\r\n          <!-- Mehrere Herausgeber durch Komma getrennt, der letztgenannte\r\n	     durch "und" abgetrennt. -->\r\n          <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n          <!-- Fehlen diese, so werden sie durch ?? ersetzt.\r\n	     <substitute>\r\n	     <names variable="translator"/>\r\n	     <text variable="title"/>\r\n	     </substitute> -->\r\n        </names>\r\n        <!-- Für alle anderen Fälle gilt: ??.\r\n	   <else>\r\n	   </else>  -->\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- 2. REIHEN-BEITRAGENDE -->\r\n  <macro name="secondary-collection-contributors">\r\n    <names variable="collection-editor">\r\n      <!-- Mehrere Reihen-Herausgeber durch Komma getrennt, der letztgenannte\r\n	 durch "und" abgetrennt. -->\r\n      <name and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="never"/>\r\n    </names>\r\n  </macro>\r\n  <!-- TITEL IN LANGFORM -->\r\n  <macro name="title-long">\r\n    <group delimiter=", ">\r\n      <choose>\r\n        <!-- Buchtitel werden ohne weitere Auszeichnung, ... -->\r\n        <if type="book">\r\n          <text variable="title" form="long"/>\r\n        </if>\r\n        <!-- ... alle anderen Titel in Anführungszeichen ausgegeben. -->\r\n        <else>\r\n          <text variable="title" form="long" quotes="true"/>\r\n        </else>\r\n      </choose>\r\n      <choose>\r\n        <!-- Bei Büchern ... -->\r\n        <if type="book">\r\n          <!-- wird ggf. der Band ausgegeben. -->\r\n          <group>\r\n            <choose>\r\n              <if variable="volume">\r\n                <text term="volume" form="short" suffix=".&#160;"/>\r\n                <text variable="volume"/>\r\n              </if>\r\n            </choose>\r\n          </group>\r\n        </if>\r\n      </choose>\r\n      <!-- 2. Titel-Beitragende -->\r\n      <text macro="secondary-contributors"/>\r\n    </group>\r\n  </macro>\r\n  <!-- TITEL IN KURZFORM -->\r\n  <macro name="title-short">\r\n    <group delimiter=", ">\r\n      <choose>\r\n        <!-- Buchtitel werden ohne weitere Auszeichnung, ... -->\r\n        <if type="book">\r\n          <text variable="title" form="short"/>\r\n        </if>\r\n        <!-- ... alle anderen Titel in Anführungszeichen ausgegeben. -->\r\n        <else>\r\n          <text variable="title" form="short" quotes="true"/>\r\n        </else>\r\n      </choose>\r\n    </group>\r\n  </macro>\r\n  <!-- CONTAINER (Sammelband oder Zeitschrift ...) -->\r\n  <macro name="container">\r\n    <choose>\r\n      <!-- Für Beiträge in Sammelbänden gilt: -->\r\n      <if type="chapter">\r\n        <choose>\r\n          <!-- Falls 1. Container-Beitragende vorhanden sind,\r\n	     werden sie mit vorangestelltem "in: " ausgegeben -->\r\n          <if variable="container-author editor" match="any">\r\n            <text term="in" suffix=": "/>\r\n          </if>\r\n        </choose>\r\n        <!-- 1. Container-Beitragende -->\r\n        <text macro="container-contributors" suffix=": "/>\r\n        <!-- Container-Titel -->\r\n        <text variable="container-title"/>\r\n        <!-- Ggf. wird der Band ausgegeben. -->\r\n        <choose>\r\n          <if variable="volume">\r\n            <text prefix=", " term="volume" form="short" suffix=".&#160;"/>\r\n            <text variable="volume"/>\r\n          </if>\r\n        </choose>\r\n        <!-- 2. Container-Beitragende -->\r\n        <text macro="secondary-container-contributors" prefix=", "/>\r\n      </if>\r\n      <!-- Für Artikel gilt: -->\r\n      <else-if type="article-journal article-magazine article-newspaper">\r\n        <!-- Container-Titel -->\r\n        <text variable="container-title" font-style="italic" suffix=" "/>\r\n      </else-if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else> -->\r\n    </choose>\r\n  </macro>\r\n  <!-- REIHE -->\r\n  <macro name="collection">\r\n    <!-- Name der Reihe -->\r\n    <text variable="collection-title"/>\r\n    <choose>\r\n      <!-- Reihennummer -->\r\n      <!-- Falls die Reihennummer eine Zahl ist, wird sie\r\n	 ohne vorangestelltes Komma ausgeben, ... -->\r\n      <!-- FUNKTIONIERT NICHT! -->\r\n      <if is-numeric="collection-number">\r\n        <text prefix=" " variable="collection-number"/>\r\n      </if>\r\n      <!-- ... ansonsten mit. -->\r\n      <else>\r\n        <text prefix=", " variable="collection-number"/>\r\n      </else>\r\n    </choose>\r\n    <choose>\r\n      <if variable="collection-editor">\r\n        <!-- Bezeichnung der Reihenbeitragenden in Kurzform ("hg. v.") -->\r\n        <text prefix=", " term="editor" form="verb-short" text-case="lowercase" suffix=" "/>\r\n        <!-- Reihen-Beitragende -->\r\n        <text prefix=" " macro="secondary-collection-contributors"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- AUFLAGE -->\r\n  <macro name="edition">\r\n    <choose>\r\n      <!-- Falls die Auflage eine Zahl ist, wird sie numerisch ausgegeben und\r\n	 mit einem Punkt abgeschlossen (z. B. "1. Aufl."), ... -->\r\n      <if is-numeric="edition">\r\n        <number variable="edition" form="ordinal"/>\r\n        <text prefix="&#160;" term="edition" form="short" suffix="."/>\r\n      </if>\r\n      <!-- ... ansonsten wird sie als Text ausgegeben und ohne Punkt\r\n	 abgeschlossen (z.B. "erste Aufl.").  -->\r\n      <else-if variable="edition">\r\n        <text variable="edition"/>\r\n        <text prefix=" " term="edition" form="short" suffix="."/>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <!-- VERLAGSORT/VERLEGER -->\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <!-- VERÖFFENTLICHUNG (Band, Reihe, Auflage, Verlag, Ort, Datum ...) -->\r\n  <macro name="issued">\r\n    <choose>\r\n      <!-- Für Bücher und Beiträge in Sammelbänden gilt: -->\r\n      <if type="book chapter" match="any">\r\n        <!-- Reihe -->\r\n        <text prefix=", " macro="collection"/>\r\n        <!-- Auflage -->\r\n        <text prefix=", " macro="edition"/>\r\n        <!-- Verlagsort/Verleger -->\r\n        <text prefix=", " macro="publisher"/>\r\n        <!-- Jahr -->\r\n        <date prefix=" " variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <!-- Für Artikel gilt: -->\r\n      <else-if type="article-journal article-magazine article-newspaper">\r\n        <choose>\r\n          <!-- ... wenn Band und Ausgabe vorhanden sind: -->\r\n          <if variable="volume">\r\n            <group>\r\n              <choose>\r\n                <if variable="issue">\r\n                  <text variable="volume" suffix="/"/>\r\n                </if>\r\n                <else>\r\n                  <text variable="volume"/>\r\n                </else>\r\n              </choose>\r\n              <number variable="issue"/>\r\n            </group>\r\n          </if>\r\n          <!-- wenn nur Ausgabe vorhanden ist: -->\r\n          <else>\r\n            <number prefix="" variable="issue" suffix=""/>\r\n          </else>\r\n        </choose>\r\n        <!-- Jahr -->\r\n        <date prefix=" (" variable="issued" suffix=")">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </else-if>\r\n      <!-- Für alle anderen Fälle gilt: ??.\r\n	 <else>\r\n	 </else> -->\r\n    </choose>\r\n  </macro>\r\n  <!-- SEITENZAHLEN -->\r\n  <macro name="pages">\r\n    <choose>\r\n      <!-- Seitenzahlen werden nur bei Beiträgen in Sammelbänden und\r\n	 Artikeln ausgegeben - nicht bei Büchern o.a., wo damit\r\n	 der Gesamtumfang gemeint ist. -->\r\n      <if type="article-journal article-magazine article-newspaper chapter" match="any">\r\n        <label variable="page" form="short" suffix=".&#160;"/>\r\n        <text variable="page"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- URL (und Datum des letzten Zugriffs) -->\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <text variable="URL"/>\r\n        <group prefix=" (" suffix=")" delimiter=" ">\r\n          <text term="accessed" text-case="lowercase"/>\r\n          <date variable="accessed">\r\n            <date-part name="day" form="numeric" suffix="."/>\r\n            <date-part name="month" form="numeric" suffix="."/>\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <!-- FUNDSTELLE (bei Nachweisen) -->\r\n  <macro name="citation-locator">\r\n    <!-- Angabe der Seiten o.ä. -->\r\n    <label variable="locator" form="short" suffix=".&#160;"/>\r\n    <text variable="locator"/>\r\n  </macro>\r\n  <!--\r\n================================================================================\r\n   NACHWEISE (in Anmerkungen)\r\n================================================================================\r\n-->\r\n  <citation et-al-min="4" et-al-use-first="1" et-al-subsequent-min="4" et-al-subsequent-use-first="1" disambiguate-add-names="true">\r\n    <layout suffix="." delimiter="; ">\r\n      <choose>\r\n        <!-- "Ebd." (bei unmittelbar aufeinanderfolgenden Nachweisen) -->\r\n        <if position="ibid-with-locator">\r\n          <text term="ibid" text-case="capitalize-first" suffix="."/>\r\n          <text prefix=", " macro="citation-locator"/>\r\n        </if>\r\n        <else-if position="ibid">\r\n          <text term="ibid" text-case="capitalize-first" suffix="."/>\r\n        </else-if>\r\n        <!-- kurzer Nachweis (bei zweiter und folgenden Nennungen) -->\r\n        <else-if position="subsequent">\r\n          <text macro="contributors-short" suffix=": "/>\r\n          <text macro="title-short"/>\r\n          <text prefix=", " macro="citation-locator"/>\r\n        </else-if>\r\n        <!-- vollständiger Nachweis (bei erster Nennung) -->\r\n        <else>\r\n          <text macro="contributors-long" suffix=": "/>\r\n          <text macro="title-long"/>\r\n          <text prefix=", " macro="container"/>\r\n          <text macro="issued"/>\r\n          <text prefix=", " macro="pages"/>\r\n          <choose>\r\n            <!-- Bei Beiträgen in Sammelbänden und Artikeln wird die\r\n	       Angabe der Fundstelle in Seitenzahlen durch "hier"\r\n	       eingeschränkt. -->\r\n            <if variable="page" type="chapter" match="all">\r\n              <text prefix=", hier " macro="citation-locator"/>\r\n            </if>\r\n            <else-if variable="page" type="article-journal" match="all">\r\n              <text prefix=", hier " macro="citation-locator"/>\r\n            </else-if>\r\n            <else-if variable="page" type="article-magazine" match="all">\r\n              <text prefix=", hier " macro="citation-locator"/>\r\n            </else-if>\r\n            <else-if variable="page" type="article-newspaper" match="all">\r\n              <text prefix=", hier " macro="citation-locator"/>\r\n            </else-if>\r\n            <else>\r\n              <text prefix=", " macro="citation-locator"/>\r\n            </else>\r\n          </choose>\r\n          <text prefix=", " macro="access"/>\r\n        </else>\r\n      </choose>\r\n    </layout>\r\n  </citation>\r\n  <!--\r\n================================================================================\r\n   LITERATURVERZEICHNIS\r\n================================================================================\r\n-->\r\n  <bibliography et-al-min="4" et-al-use-first="1" hanging-indent="true" entry-spacing="0" subsequent-author-substitute="---">\r\n    <sort>\r\n      <key macro="contributors-long" names-min="3" names-use-first="3"/>\r\n      <key macro="title-long"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <text macro="contributors-long" suffix=": "/>\r\n      <text macro="title-long"/>\r\n      <text prefix=", " macro="container"/>\r\n      <text macro="issued"/>\r\n      <text prefix=", " macro="pages"/>\r\n      <text prefix=", " macro="access"/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(20, 0, 'http://www.zotero.org/styles/history-of-the-human-sciences', 'History of the Human Sciences', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="in-text" version="1.0" demote-non-dropping-particle="never" default-locale="en-GB" page-range-format="minimal">\r\n  <info>\r\n    <title>History of the Human Sciences</title>\r\n    <id>http://www.zotero.org/styles/history-of-the-human-sciences</id>\r\n    <link href="http://www.zotero.org/styles/history-of-the-human-sciences" rel="self"/>\r\n    <link href="http://www.uk.sagepub.com/journalsProdDesc.nav?ct_p=manuscriptSubmission&amp;prodId=Journal200813&amp;crossRegion=eur" rel="documentation"/>\r\n    <author>\r\n      <name>Sebastian Karcher</name>\r\n    </author>\r\n    <category field="history"/>\r\n    <category field="science"/>\r\n    <category citation-format="author-date"/>\r\n    <issn>0952-6951</issn>\r\n    <updated>2011-04-05T01:57:47+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="author">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" and="text" sort-separator=", " initialize-with=". " delimiter=", " delimiter-precedes-last="never"/>\r\n      <label form="short" prefix=", " text-case="lowercase"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text macro="title"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="author-short">\r\n    <names variable="author">\r\n      <name form="short" and="text" delimiter=", " initialize-with=". "/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n        <text variable="container-title" font-style="italic"/>\r\n        <choose>\r\n          <if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n            <text variable="title" form="short" font-style="italic"/>\r\n          </if>\r\n          <else>\r\n            <text variable="title" form="short" quotes="true"/>\r\n          </else>\r\n        </choose>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" suffix=" "/>\r\n        <names variable="editor translator" delimiter=", ">\r\n          <name and="text" initialize-with=". " delimiter=", " sort-separator=" " delimiter-precedes-last="never"/>\r\n          <label form="short" prefix=" (" text-case="lowercase" suffix=")"/>\r\n        </names>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="access">\r\n    <choose>\r\n      <if variable="URL">\r\n        <group>\r\n          <text value="Available at" suffix=": "/>\r\n          <text variable="URL"/>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if type="bill book graphic legal_case legislation motion_picture report song webpage" match="any">\r\n        <text variable="title" font-style="italic"/>\r\n      </if>\r\n      <else>\r\n        <text variable="title" quotes="true"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <choose>\r\n      <if type="thesis">\r\n        <group delimiter=", ">\r\n          <text variable="genre"/>\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="genre" suffix=". "/>\r\n        <group delimiter=": ">\r\n          <text variable="publisher-place"/>\r\n          <text variable="publisher"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <choose>\r\n      <if variable="event">\r\n        <text term="presented at" text-case="lowercase" prefix="paper " suffix=" "/>\r\n        <text variable="event"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="year-date">\r\n    <choose>\r\n      <if variable="issued">\r\n        <group>\r\n          <date variable="issued">\r\n            <date-part name="year"/>\r\n          </date>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text prefix=" (" term="no date" suffix=")" form="short"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if is-numeric="edition">\r\n        <group delimiter=" ">\r\n          <number variable="edition" form="ordinal"/>\r\n          <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n        </group>\r\n      </if>\r\n      <else>\r\n        <text variable="edition" suffix="."/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal article-magazine" match="any">\r\n        <group prefix=" " delimiter=": ">\r\n          <text variable="volume"/>\r\n          <text variable="page"/>\r\n        </group>\r\n      </if>\r\n      <else-if type="article-newspaper">\r\n        <group delimiter=", " prefix=", ">\r\n          <date variable="issued">\r\n            <date-part name="day"/>\r\n            <date-part name="month" form="long" prefix=" "/>\r\n          </date>\r\n          <group delimiter=" ">\r\n            <label variable="page"/>\r\n            <text variable="page"/>\r\n          </group>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <group delimiter=" " prefix=", ">\r\n          <label variable="page" form="short"/>\r\n          <text variable="page"/>\r\n        </group>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <citation et-al-min="3" et-al-use-first="1" disambiguate-add-year-suffix="true" disambiguate-add-names="true" disambiguate-add-givenname="true" givenname-disambiguation-rule="primary-name" collapse="year">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="year-date"/>\r\n    </sort>\r\n    <layout prefix="(" suffix=")" delimiter="; ">\r\n      <group delimiter=", ">\r\n        <text macro="author-short"/>\r\n        <text macro="year-date"/>\r\n      </group>\r\n      <text variable="locator" prefix=": "/>\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="6" et-al-use-first="3" entry-spacing="0" line-spacing="2">\r\n    <sort>\r\n      <key macro="author"/>\r\n      <key macro="year-date"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <group delimiter=" ">\r\n        <text macro="author"/>\r\n        <text macro="year-date" prefix="(" suffix=")"/>\r\n        <text macro="title"/>\r\n      </group>\r\n      <group prefix=", " delimiter=" ">\r\n        <text macro="container-contributors"/>\r\n        <text variable="container-title" font-style="italic"/>\r\n      </group>\r\n      <group delimiter=". " prefix=". ">\r\n        <text macro="event"/>\r\n        <text macro="publisher"/>\r\n      </group>\r\n      <text macro="locators"/>\r\n      <text macro="access" prefix=". "/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL),
(21, 0, 'http://www.zotero.org/styles/law1-de', 'Law generic style (note with bibliography, German', '<?xml version="1.0" encoding="utf-8"?>\r\n<style xmlns="http://purl.org/net/xbiblio/csl" class="note" default-locale="de" version="1.0" demote-non-dropping-particle="sort-only">\r\n  <info>\r\n    <title>Law generic style (note with bibliography, German)</title>\r\n    <id>http://www.zotero.org/styles/law1-de</id>\r\n    <link href="http://www.zotero.org/styles/law1-de" rel="self"/>\r\n    <contributor>\r\n      <name>Sven Rothe</name>\r\n      <email>mmoole@googlemail.com</email>\r\n    </contributor>\r\n    <author>\r\n      <name>Julian Onions</name>\r\n      <email>julian.onions@gmail.com</email>\r\n    </author>\r\n    <contributor>\r\n      <name>Simon Kornblith</name>\r\n      <email>simon@simonster.com</email>\r\n    </contributor>\r\n    <contributor>\r\n      <name>Elena Razlogova</name>\r\n      <email>elena.razlogova@gmail.com</email>\r\n    </contributor>\r\n    <summary>Law generic style, german variant, based on Chicago format with short notes and\r\n            full bibliography</summary>\r\n    <category field="generic-base"/>\r\n    <category citation-format="numeric"/>\r\n    <updated>2008-01-01T11:11:11+00:00</updated>\r\n    <rights>This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 License: http://creativecommons.org/licenses/by-sa/3.0/</rights>\r\n  </info>\r\n  <macro name="secondary-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="none">\r\n        <group delimiter=". ">\r\n          <names variable="editor" delimiter=". ">\r\n            <label form="verb" prefix=" " suffix=" "/>\r\n            <name delimiter=", " delimiter-precedes-last="always"/>\r\n          </names>\r\n          <choose>\r\n            <if variable="author editor" match="any">\r\n              <names variable="translator" delimiter=". ">\r\n                <label form="verb" prefix=" " suffix=" "/>\r\n                <name delimiter=", " delimiter-precedes-last="always"/>\r\n              </names>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="container-contributors">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <group delimiter="/">\r\n          <names variable="editor" delimiter="/">\r\n            <label form="verb" text-case="lowercase" suffix=" "/>\r\n            <name and="text" delimiter=", "/>\r\n          </names>\r\n          <choose>\r\n            <if variable="author editor" match="any">\r\n              <names variable="translator" delimiter="/">\r\n                <label form="verb" text-case="lowercase" suffix=" "/>\r\n                <name delimiter=", " delimiter-precedes-last="always"/>\r\n              </names>\r\n            </if>\r\n          </choose>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="editor">\r\n    <names variable="editor">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="short" prefix=", " suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="translator">\r\n    <names variable="translator">\r\n      <name name-as-sort-order="first" and="text" sort-separator=", " delimiter=", " delimiter-precedes-last="always"/>\r\n      <label form="verb-short" prefix=", " suffix="." strip-periods="true"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient-note">\r\n    <names variable="recipient" delimiter=", ">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name delimiter=", " delimiter-precedes-last="always"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="recipient">\r\n    <choose>\r\n      <if type="personal_communication">\r\n        <choose>\r\n          <if variable="genre">\r\n            <text variable="genre"/>\r\n          </if>\r\n          <else>\r\n            <text term="letter"/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n    <text macro="recipient-note" prefix=" "/>\r\n  </macro>\r\n  <macro name="contributors">\r\n    <names variable="author" font-style="italic">\r\n      <name name-as-sort-order="first" sort-separator=", " delimiter="/" delimiter-precedes-last="always"/>\r\n      <substitute>\r\n        <text macro="editor"/>\r\n        <text macro="translator"/>\r\n      </substitute>\r\n    </names>\r\n    <text macro="recipient" prefix=". "/>\r\n  </macro>\r\n  <macro name="recipient-short">\r\n    <names variable="recipient">\r\n      <label form="verb" prefix=" " text-case="lowercase" suffix=" "/>\r\n      <name form="short" delimiter=", " delimiter-precedes-last="always"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="contributors-short">\r\n    <names variable="author">\r\n      <name form="short" delimiter="/" delimiter-precedes-last="always"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n      </substitute>\r\n    </names>\r\n    <text macro="recipient-short"/>\r\n  </macro>\r\n  <macro name="contributors-sort">\r\n    <names variable="author">\r\n      <name name-as-sort-order="all" sort-separator=", " delimiter="/" delimiter-precedes-last="always"/>\r\n      <substitute>\r\n        <names variable="editor"/>\r\n        <names variable="translator"/>\r\n      </substitute>\r\n    </names>\r\n  </macro>\r\n  <macro name="interviewer">\r\n    <names variable="interviewer" delimiter="/">\r\n      <label form="verb" prefix=" " suffix=" "/>\r\n      <name delimiter=", " delimiter-precedes-last="always"/>\r\n    </names>\r\n  </macro>\r\n  <macro name="title">\r\n    <choose>\r\n      <if variable="title" match="none">\r\n        <choose>\r\n          <if type="personal_communication" match="none">\r\n            <text variable="genre"/>\r\n          </if>\r\n        </choose>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" prefix="„" suffix="“"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="title-short">\r\n    <choose>\r\n      <if variable="title" match="none">\r\n        <choose>\r\n          <if type="interview">\r\n            <text term="interview" text-case="lowercase"/>\r\n          </if>\r\n          <else-if type="manuscript speech" match="any">\r\n            <text variable="genre" form="short"/>\r\n          </else-if>\r\n          <else-if type="personal_communication">\r\n            <text macro="issued"/>\r\n          </else-if>\r\n        </choose>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <text variable="title" form="short" font-style="italic"/>\r\n      </else-if>\r\n      <else>\r\n        <text variable="title" form="short" prefix="„" suffix="“"/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="description">\r\n    <group delimiter=", ">\r\n      <group delimiter=". ">\r\n        <text macro="interviewer"/>\r\n        <text variable="medium"/>\r\n      </group>\r\n      <choose>\r\n        <if variable="title" match="none"/>\r\n        <else-if type="thesis speech" match="any"/>\r\n        <else>\r\n          <text variable="genre"/>\r\n        </else>\r\n      </choose>\r\n    </group>\r\n  </macro>\r\n  <macro name="container-title">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text term="in" suffix=" "/>\r\n      </if>\r\n    </choose>\r\n    <text variable="container-title" font-style="italic"/>\r\n  </macro>\r\n  <macro name="edition">\r\n    <choose>\r\n      <if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song" match="any">\r\n        <choose>\r\n          <if is-numeric="edition">\r\n            <group delimiter=" ">\r\n              <number variable="edition" form="ordinal"/>\r\n              <text term="edition" form="short" suffix="." strip-periods="true"/>\r\n            </group>\r\n          </if>\r\n          <else>\r\n            <text variable="edition" suffix="."/>\r\n          </else>\r\n        </choose>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="collection-title">\r\n    <text variable="collection-title"/>\r\n    <text variable="collection-number" prefix=" "/>\r\n  </macro>\r\n  <macro name="locators">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="volume" prefix=" "/>\r\n        <text variable="issue" prefix=", no. "/>\r\n      </if>\r\n      <else-if type="bill book graphic legal_case legislation motion_picture report song" match="any">\r\n        <group prefix=". " delimiter=". ">\r\n          <group>\r\n            <text term="volume" form="short" suffix=". " strip-periods="true"/>\r\n            <number variable="volume" form="numeric"/>\r\n          </group>\r\n          <group>\r\n            <number variable="number-of-volumes" form="numeric"/>\r\n            <text term="volume" form="short" prefix=" " suffix="." plural="true" strip-periods="true"/>\r\n          </group>\r\n          <text macro="edition"/>\r\n        </group>\r\n      </else-if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="locators-newspaper">\r\n    <choose>\r\n      <if type="article-newspaper">\r\n        <group delimiter=", ">\r\n          <group>\r\n            <text variable="edition" suffix=" "/>\r\n            <text term="edition" prefix=" "/>\r\n          </group>\r\n          <group>\r\n            <text term="section" form="short" suffix=". " strip-periods="true"/>\r\n            <text variable="section"/>\r\n          </group>\r\n        </group>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="event">\r\n    <group>\r\n      <text term="presented at" suffix=" "/>\r\n      <text variable="event"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="publisher">\r\n    <group delimiter=": ">\r\n      <text variable="publisher-place"/>\r\n      <text variable="publisher"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="issued">\r\n    <choose>\r\n      <if type="graphic report" match="any">\r\n        <date variable="issued">\r\n          <date-part name="day" suffix="."/>\r\n          <date-part name="month" suffix="."/>\r\n          <date-part name="year"/>\r\n        </date>\r\n      </if>\r\n      <else-if type="bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="any">\r\n        <date variable="issued">\r\n          <date-part name="year"/>\r\n        </date>\r\n      </else-if>\r\n      <else>\r\n        <date variable="issued">\r\n          <date-part name="day" suffix="."/>\r\n          <date-part name="month" suffix="."/>\r\n          <date-part name="year"/>\r\n        </date>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages-chapter">\r\n    <choose>\r\n      <if type="chapter paper-conference" match="any">\r\n        <text variable="volume" suffix=":"/>\r\n        <text variable="page"/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="pages-article">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text variable="page" prefix=": "/>\r\n      </if>\r\n    </choose>\r\n  </macro>\r\n  <macro name="point-locators-subsequent">\r\n    <group>\r\n      <choose>\r\n        <if locator="page" match="none">\r\n          <label variable="locator" form="short" suffix=" "/>\r\n        </if>\r\n      </choose>\r\n      <text variable="locator" prefix="S. "/>\r\n    </group>\r\n  </macro>\r\n  <macro name="archive">\r\n    <group delimiter=". ">\r\n      <text variable="archive_location"/>\r\n      <text variable="archive"/>\r\n      <text variable="archive-place"/>\r\n    </group>\r\n  </macro>\r\n  <macro name="issue">\r\n    <choose>\r\n      <if type="article-journal">\r\n        <text macro="issued" prefix=" (" suffix=")"/>\r\n      </if>\r\n      <else-if type="speech">\r\n        <choose>\r\n          <if variable="title" match="none"/>\r\n          <else>\r\n            <text variable="genre" prefix=". "/>\r\n          </else>\r\n        </choose>\r\n        <text macro="event" prefix=" "/>\r\n        <text variable="event-place" prefix=", "/>\r\n        <text macro="issued" prefix=", "/>\r\n      </else-if>\r\n      <else-if variable="publisher-place publisher" match="any">\r\n        <group prefix=". " delimiter=", ">\r\n          <choose>\r\n            <if type="thesis">\r\n              <text variable="genre"/>\r\n            </if>\r\n          </choose>\r\n          <text macro="publisher"/>\r\n          <text macro="issued"/>\r\n        </group>\r\n      </else-if>\r\n      <else>\r\n        <text macro="issued" prefix=", "/>\r\n      </else>\r\n    </choose>\r\n  </macro>\r\n  <macro name="access">\r\n    <group delimiter=". ">\r\n      <choose>\r\n        <if type="graphic report" match="any">\r\n          <text macro="archive"/>\r\n        </if>\r\n        <else-if type="article-journal article-magazine article-newspaper bill book chapter graphic legal_case legislation motion_picture paper-conference report song thesis" match="none">\r\n          <text macro="archive"/>\r\n        </else-if>\r\n      </choose>\r\n      <text variable="DOI" prefix="doi:"/>\r\n      <group>\r\n        <text variable="URL" prefix="&lt;" suffix="&gt;"/>\r\n        <text term="retrieved" prefix=", " suffix=" "/>\r\n        <date variable="accessed">\r\n          <date-part name="day" form="numeric-leading-zeros" suffix="."/>\r\n          <date-part name="month" form="numeric-leading-zeros" suffix="."/>\r\n          <date-part name="year" form="long"/>\r\n        </date>\r\n      </group>\r\n    </group>\r\n  </macro>\r\n  <citation et-al-min="4" et-al-use-first="1" et-al-subsequent-min="4" et-al-subsequent-use-first="1" disambiguate-add-names="true">\r\n    <layout prefix="" suffix="." delimiter="; ">\r\n      <!--            <choose>\r\n                <if position="ibid-with-locator">\r\n                    <group delimiter=", ">\r\n                        <text term="ibid"  suffix="."/>\r\n                        <text macro="point-locators-subsequent"/>\r\n                    </group>\r\n                </if>\r\n                <else-if position="ibid">\r\n                    <text term="ibid"  suffix="."/>\r\n                </else-if>\r\n                <else>-->\r\n      <group delimiter=", ">\r\n        <text macro="contributors-short"/>\r\n        <text macro="title-short"/>\r\n        <text macro="point-locators-subsequent"/>\r\n      </group>\r\n      <!--                </else>-->\r\n      <!--            </choose>-->\r\n    </layout>\r\n  </citation>\r\n  <bibliography hanging-indent="true" et-al-min="6" et-al-use-first="6" subsequent-author-substitute="---" entry-spacing="0">\r\n    <sort>\r\n      <key macro="contributors-sort"/>\r\n      <key variable="title"/>\r\n      <key variable="genre"/>\r\n    </sort>\r\n    <layout suffix=".">\r\n      <text macro="contributors"/>\r\n      <group delimiter=". ">\r\n        <text macro="title" prefix="&#10;"/>\r\n        <text macro="description"/>\r\n        <text macro="secondary-contributors"/>\r\n        <group delimiter=", ">\r\n          <text macro="container-title"/>\r\n          <text macro="container-contributors"/>\r\n          <text macro="pages-chapter"/>\r\n        </group>\r\n      </group>\r\n      <text macro="locators"/>\r\n      <text macro="collection-title" prefix=". "/>\r\n      <text macro="issue"/>\r\n      <text macro="locators-newspaper" prefix=", "/>\r\n      <text macro="pages-article"/>\r\n      <text macro="access" prefix=". "/>\r\n    </layout>\r\n  </bibliography>\r\n</style>', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, NULL);
